#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './generalsettings.ui'
**
** Created: Fri Apr 6 12:09:01 2007
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.8   edited Jan 11 14:47 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "generalsettings.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qgroupbox.h>
#include <qcheckbox.h>
#include <qlabel.h>
#include <qslider.h>
#include <qlineedit.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "settingswidget.h"
#include "./generalsettings.ui.h"

/*
 *  Constructs a GeneralSettings which is a child of 'parent', with the
 *  name 'name'.' 
 */
GeneralSettings::GeneralSettings( QWidget* parent,  const char* name )
    : SettingsWidget( parent, name )
{
    if ( !name )
	setName( "GeneralSettings" );
    GeneralSettingsLayout = new QGridLayout( this, 1, 1, 11, 6, "GeneralSettingsLayout"); 

    outputFilesGroupBox = new QGroupBox( this, "outputFilesGroupBox" );
    outputFilesGroupBox->setColumnLayout(0, Qt::Vertical );
    outputFilesGroupBox->layout()->setSpacing( 6 );
    outputFilesGroupBox->layout()->setMargin( 11 );
    outputFilesGroupBoxLayout = new QGridLayout( outputFilesGroupBox->layout() );
    outputFilesGroupBoxLayout->setAlignment( Qt::AlignTop );

    overwriteCheckBox = new QCheckBox( outputFilesGroupBox, "overwriteCheckBox" );
    overwriteCheckBox->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)0, 0, 0, overwriteCheckBox->sizePolicy().hasHeightForWidth() ) );

    outputFilesGroupBoxLayout->addMultiCellWidget( overwriteCheckBox, 2, 2, 0, 2 );

    caseInsensitiveCheckBox = new QCheckBox( outputFilesGroupBox, "caseInsensitiveCheckBox" );
    caseInsensitiveCheckBox->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)0, 0, 0, caseInsensitiveCheckBox->sizePolicy().hasHeightForWidth() ) );

    outputFilesGroupBoxLayout->addMultiCellWidget( caseInsensitiveCheckBox, 3, 3, 0, 2 );

    replaceCharsCheckBox = new QCheckBox( outputFilesGroupBox, "replaceCharsCheckBox" );
    replaceCharsCheckBox->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)0, 0, 0, replaceCharsCheckBox->sizePolicy().hasHeightForWidth() ) );

    outputFilesGroupBoxLayout->addMultiCellWidget( replaceCharsCheckBox, 4, 4, 0, 2 );

    GeneralSettingsLayout->addWidget( outputFilesGroupBox, 0, 0 );

    processPriorityGroupBox = new QGroupBox( this, "processPriorityGroupBox" );
    processPriorityGroupBox->setColumnLayout(0, Qt::Vertical );
    processPriorityGroupBox->layout()->setSpacing( 6 );
    processPriorityGroupBox->layout()->setMargin( 11 );
    processPriorityGroupBoxLayout = new QGridLayout( processPriorityGroupBox->layout() );
    processPriorityGroupBoxLayout->setAlignment( Qt::AlignTop );

    layout4 = new QHBoxLayout( 0, 0, 6, "layout4"); 

    maxPriorityLabel = new QLabel( processPriorityGroupBox, "maxPriorityLabel" );
    layout4->addWidget( maxPriorityLabel );

    minPriorityLabel = new QLabel( processPriorityGroupBox, "minPriorityLabel" );
    layout4->addWidget( minPriorityLabel );

    processPriorityGroupBoxLayout->addLayout( layout4, 0, 0 );

    layout3 = new QHBoxLayout( 0, 0, 6, "layout3"); 

    prioritySlider = new QSlider( processPriorityGroupBox, "prioritySlider" );
    prioritySlider->setMaxValue( 19 );
    prioritySlider->setPageStep( 4 );
    prioritySlider->setOrientation( QSlider::Horizontal );
    prioritySlider->setTickmarks( QSlider::Below );
    layout3->addWidget( prioritySlider );

    processPriorityGroupBoxLayout->addLayout( layout3, 1, 0 );

    GeneralSettingsLayout->addWidget( processPriorityGroupBox, 1, 0 );
    spacer1 = new QSpacerItem( 20, 60, QSizePolicy::Minimum, QSizePolicy::Expanding );
    GeneralSettingsLayout->addItem( spacer1, 3, 0 );

    miscelaneousGroupBox = new QGroupBox( this, "miscelaneousGroupBox" );
    miscelaneousGroupBox->setColumnLayout(0, Qt::Vertical );
    miscelaneousGroupBox->layout()->setSpacing( 6 );
    miscelaneousGroupBox->layout()->setMargin( 11 );
    miscelaneousGroupBoxLayout = new QGridLayout( miscelaneousGroupBox->layout() );
    miscelaneousGroupBoxLayout->setAlignment( Qt::AlignTop );

    selectTempDirButton = new QPushButton( miscelaneousGroupBox, "selectTempDirButton" );
    selectTempDirButton->setEnabled( TRUE );
    selectTempDirButton->setMinimumSize( QSize( 40, 0 ) );
    selectTempDirButton->setMaximumSize( QSize( 40, 23 ) );

    miscelaneousGroupBoxLayout->addWidget( selectTempDirButton, 0, 2 );

    tempDirLineEdit = new QLineEdit( miscelaneousGroupBox, "tempDirLineEdit" );
    tempDirLineEdit->setEnabled( TRUE );

    miscelaneousGroupBoxLayout->addWidget( tempDirLineEdit, 0, 1 );

    tempDirLabel = new QLabel( miscelaneousGroupBox, "tempDirLabel" );

    miscelaneousGroupBoxLayout->addWidget( tempDirLabel, 0, 0 );

    notifyProgressCheckBox = new QCheckBox( miscelaneousGroupBox, "notifyProgressCheckBox" );
    notifyProgressCheckBox->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)0, 0, 0, notifyProgressCheckBox->sizePolicy().hasHeightForWidth() ) );

    miscelaneousGroupBoxLayout->addMultiCellWidget( notifyProgressCheckBox, 3, 3, 0, 2 );

    showTrayCheckBox = new QCheckBox( miscelaneousGroupBox, "showTrayCheckBox" );

    miscelaneousGroupBoxLayout->addMultiCellWidget( showTrayCheckBox, 4, 4, 0, 2 );

    askConfirmationCheckBox = new QCheckBox( miscelaneousGroupBox, "askConfirmationCheckBox" );
    askConfirmationCheckBox->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)0, 0, 0, askConfirmationCheckBox->sizePolicy().hasHeightForWidth() ) );

    miscelaneousGroupBoxLayout->addMultiCellWidget( askConfirmationCheckBox, 2, 2, 0, 2 );

    logEventsCheckBox = new QCheckBox( miscelaneousGroupBox, "logEventsCheckBox" );
    logEventsCheckBox->setMinimumSize( QSize( 110, 0 ) );

    miscelaneousGroupBoxLayout->addWidget( logEventsCheckBox, 1, 0 );

    selectLogFileButton = new QPushButton( miscelaneousGroupBox, "selectLogFileButton" );
    selectLogFileButton->setEnabled( FALSE );
    selectLogFileButton->setMinimumSize( QSize( 40, 0 ) );
    selectLogFileButton->setMaximumSize( QSize( 40, 23 ) );

    miscelaneousGroupBoxLayout->addWidget( selectLogFileButton, 1, 2 );

    logEventsLineEdit = new QLineEdit( miscelaneousGroupBox, "logEventsLineEdit" );
    logEventsLineEdit->setEnabled( FALSE );

    miscelaneousGroupBoxLayout->addWidget( logEventsLineEdit, 1, 1 );

    GeneralSettingsLayout->addWidget( miscelaneousGroupBox, 2, 0 );
    languageChange();
    resize( QSize(410, 387).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( askConfirmationCheckBox, SIGNAL( toggled(bool) ), this, SLOT( emitSettingsChanged() ) );
    connect( caseInsensitiveCheckBox, SIGNAL( toggled(bool) ), this, SLOT( emitSettingsChanged() ) );
    connect( logEventsCheckBox, SIGNAL( toggled(bool) ), logEventsLineEdit, SLOT( setEnabled(bool) ) );
    connect( logEventsCheckBox, SIGNAL( toggled(bool) ), selectLogFileButton, SLOT( setEnabled(bool) ) );
    connect( logEventsCheckBox, SIGNAL( toggled(bool) ), this, SLOT( emitSettingsChanged() ) );
    connect( logEventsLineEdit, SIGNAL( textChanged(const QString&) ), this, SLOT( emitSettingsChanged() ) );
    connect( notifyProgressCheckBox, SIGNAL( toggled(bool) ), this, SLOT( emitSettingsChanged() ) );
    connect( overwriteCheckBox, SIGNAL( toggled(bool) ), this, SLOT( emitSettingsChanged() ) );
    connect( prioritySlider, SIGNAL( valueChanged(int) ), this, SLOT( emitSettingsChanged() ) );
    connect( replaceCharsCheckBox, SIGNAL( toggled(bool) ), this, SLOT( emitSettingsChanged() ) );
    connect( selectLogFileButton, SIGNAL( clicked() ), this, SLOT( selectLogFile() ) );
    connect( selectTempDirButton, SIGNAL( clicked() ), this, SLOT( selectTempDir() ) );
    connect( showTrayCheckBox, SIGNAL( toggled(bool) ), this, SLOT( emitSettingsChanged() ) );
    connect( tempDirLineEdit, SIGNAL( textChanged(const QString&) ), this, SLOT( emitSettingsChanged() ) );

    // tab order
    setTabOrder( overwriteCheckBox, caseInsensitiveCheckBox );
    setTabOrder( caseInsensitiveCheckBox, replaceCharsCheckBox );
    setTabOrder( replaceCharsCheckBox, prioritySlider );
    setTabOrder( prioritySlider, askConfirmationCheckBox );
    setTabOrder( askConfirmationCheckBox, notifyProgressCheckBox );
}

/*
 *  Destroys the object and frees any allocated resources
 */
GeneralSettings::~GeneralSettings()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void GeneralSettings::languageChange()
{
    setCaption( tr2i18n( "General Settings" ) );
    outputFilesGroupBox->setTitle( tr2i18n( "Output Files" ) );
    overwriteCheckBox->setText( tr2i18n( "Allow over&writing of existing files" ) );
    overwriteCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+W" ) ) );
    QToolTip::add( overwriteCheckBox, tr2i18n( "<qt>If this option is not checked, sufixes will be appended to output files when needed to avoid clashing.</qt>" ) );
    QWhatsThis::add( overwriteCheckBox, QString::null );
    caseInsensitiveCheckBox->setText( tr2i18n( "Case in&sensitive filename comparisons" ) );
    caseInsensitiveCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+S" ) ) );
    QToolTip::add( caseInsensitiveCheckBox, tr2i18n( "<qt>Check this if you'll be outputing files to a vfat file system.</qt>" ) );
    QWhatsThis::add( caseInsensitiveCheckBox, QString::null );
    replaceCharsCheckBox->setText( tr2i18n( "&Replace special characters with underscores" ) );
    replaceCharsCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+R" ) ) );
    QToolTip::add( replaceCharsCheckBox, tr2i18n( "<qt>Replace <b>\\*?:|<></b> characters with underscores.<br/>Check this if you'll be outputing files to a vfat file system.<qt>" ) );
    QWhatsThis::add( replaceCharsCheckBox, QString::null );
    processPriorityGroupBox->setTitle( tr2i18n( "Processes Priority" ) );
    maxPriorityLabel->setText( tr2i18n( "<p align=\"left\">max priority</p>" ) );
    minPriorityLabel->setText( tr2i18n( "<p align=\"right\">min priority</p>" ) );
    QToolTip::add( prioritySlider, tr2i18n( "<qt>Sets the priority of the decoding and encoding processes.</qt>" ) );
    miscelaneousGroupBox->setTitle( tr2i18n( "Miscelaneous" ) );
    selectTempDirButton->setText( tr2i18n( "..." ) );
    QToolTip::add( selectTempDirButton, tr2i18n( "<qt>Select log file.<qt>" ) );
    tempDirLabel->setText( tr2i18n( "Temporary directory" ) );
    notifyProgressCheckBox->setText( tr2i18n( "Show track in process and error &notifications" ) );
    notifyProgressCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+N" ) ) );
    QToolTip::add( notifyProgressCheckBox, tr2i18n( "<qt>Show passive popups with information and error messages.</qt>" ) );
    showTrayCheckBox->setText( tr2i18n( "Show &tray icon" ) );
    showTrayCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+T" ) ) );
    QToolTip::add( showTrayCheckBox, tr2i18n( "<qt>Check to enable system tray icon.</qt>" ) );
    askConfirmationCheckBox->setText( tr2i18n( "Show &comfirmation dialog on transcode request" ) );
    askConfirmationCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+C" ) ) );
    QToolTip::add( askConfirmationCheckBox, tr2i18n( "<qt>Ask for confirmation before enqueuing transcoding jobs.</qt>" ) );
    logEventsCheckBox->setText( tr2i18n( "&Log events to file" ) );
    logEventsCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+L" ) ) );
    QToolTip::add( logEventsCheckBox, tr2i18n( "<qt>Check to enable logging of transcode events.<br/> Log file is truncated on program start.</qt>" ) );
    selectLogFileButton->setText( tr2i18n( "..." ) );
    QToolTip::add( selectLogFileButton, tr2i18n( "<qt>Select log file.<qt>" ) );
}

#include "generalsettings.moc"
