#ifndef _QSETTINGSWIDGET_H_
#define _QSETTINGSWIDGET_H_

/***************************************************************************
 *   Copyright (C) 2006 by Sergio Pistone                                  *
 *   sergio_pistone@yahoo.com.ar                                           *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifdef HAVE_CONFIG_H
	#include <config.h>
#endif

#include <qwidget.h>

class SettingsWidget : public QWidget
{
	Q_OBJECT

	public:
		SettingsWidget( QWidget* parent=0, const char* name=0, WFlags f=0 ):QWidget( parent, name, f) {}
		virtual ~SettingsWidget() {};

	signals:
		void settingsChanged();

	protected slots:
		// To compensate for qt designer not being able to connect to signals
		void emitSettingsChanged() { emit settingsChanged(); };
};

#endif
