#ifndef _BONKENCODERDIALOGBASE_UI_H_
#define _BONKENCODERDIALOGBASE_UI_H_

/****************************************************************************
** ui.h extension file, included from the uic-generated form implementation.
**
** If you want to add, delete, or rename functions or slots, use
** Qt Designer to update this file, preserving your code.
**
** You should not define a constructor or destructor in this file.
** Instead, write your code in functions called init() and destroy().
** These will automatically be called by the form's constructor and
** destructor.
*****************************************************************************/

#ifdef HAVE_CONFIG_H
	#include <config.h>
#endif

#include <qdecspinbox.h>

void BonkEncoderDialogBase::toggleLosslessMode( bool checked )
{
	quantizationLevelCheckBox->setEnabled( !checked );
	downsamplingRatioCheckBox->setEnabled( !checked );
	predictorSizeCheckBox->setEnabled( !checked );
	stereoModeCheckBox->setEnabled( !checked );
	if ( checked )
	{
		quantizationLevelDecSpinBox->setEnabled( false );
		downsamplingRatioSpinBox->setEnabled( false );
		predictorSizeSpinBox->setEnabled( false );
		stereoModeComboBox->setEnabled( false );
		
		quantizationLevelCheckBox->setChecked( false );
		downsamplingRatioCheckBox->setChecked( false );
		predictorSizeCheckBox->setChecked( false );
		stereoModeCheckBox->setChecked( false );
	}
}

#endif
