#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './laencoderdialogbase.ui'
**
** Created: Fri Apr 6 12:07:07 2007
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.8   edited Jan 11 14:47 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "laencoderdialogbase.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qbuttongroup.h>
#include <qcheckbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "encoderdialog.h"

/*
 *  Constructs a LAEncoderDialogBase which is a child of 'parent', with the
 *  name 'name'.' 
 */
LAEncoderDialogBase::LAEncoderDialogBase( QWidget* parent,  const char* name )
    : EncoderDialog( parent, name )
{
    if ( !name )
	setName( "LAEncoderDialogBase" );
    setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)3, (QSizePolicy::SizeType)3, 0, 0, sizePolicy().hasHeightForWidth() ) );
    LAEncoderDialogBaseLayout = new QGridLayout( this, 1, 1, 11, 6, "LAEncoderDialogBaseLayout"); 

    buttonGroup2 = new QButtonGroup( this, "buttonGroup2" );
    buttonGroup2->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)7, 0, 0, buttonGroup2->sizePolicy().hasHeightForWidth() ) );
    buttonGroup2->setColumnLayout(0, Qt::Vertical );
    buttonGroup2->layout()->setSpacing( 6 );
    buttonGroup2->layout()->setMargin( 11 );
    buttonGroup2Layout = new QGridLayout( buttonGroup2->layout() );
    buttonGroup2Layout->setAlignment( Qt::AlignTop );

    disableSeekPointsCheckBox = new QCheckBox( buttonGroup2, "disableSeekPointsCheckBox" );

    buttonGroup2Layout->addWidget( disableSeekPointsCheckBox, 1, 0 );

    highCompressionModeCheckBox = new QCheckBox( buttonGroup2, "highCompressionModeCheckBox" );

    buttonGroup2Layout->addWidget( highCompressionModeCheckBox, 0, 0 );

    LAEncoderDialogBaseLayout->addWidget( buttonGroup2, 0, 0 );

    layout7 = new QHBoxLayout( 0, 0, 6, "layout7"); 
    spacer16 = new QSpacerItem( 32767, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout7->addItem( spacer16 );

    okButton = new QPushButton( this, "okButton" );
    layout7->addWidget( okButton );

    cancelButton = new QPushButton( this, "cancelButton" );
    layout7->addWidget( cancelButton );

    LAEncoderDialogBaseLayout->addLayout( layout7, 1, 0 );
    languageChange();
    resize( QSize(197, 128).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( cancelButton, SIGNAL( clicked() ), this, SLOT( reject() ) );
    connect( okButton, SIGNAL( clicked() ), this, SLOT( accept() ) );

    // tab order
    setTabOrder( highCompressionModeCheckBox, disableSeekPointsCheckBox );
    setTabOrder( disableSeekPointsCheckBox, okButton );
    setTabOrder( okButton, cancelButton );
}

/*
 *  Destroys the object and frees any allocated resources
 */
LAEncoderDialogBase::~LAEncoderDialogBase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void LAEncoderDialogBase::languageChange()
{
    setCaption( tr2i18n( "Lossless Audio" ) );
    buttonGroup2->setTitle( tr2i18n( "Settings" ) );
    disableSeekPointsCheckBox->setText( tr2i18n( "&Don't add seeking points" ) );
    disableSeekPointsCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+D" ) ) );
    QToolTip::add( disableSeekPointsCheckBox, tr2i18n( "Improves compression slightly." ) );
    highCompressionModeCheckBox->setText( tr2i18n( "&High compression mode" ) );
    highCompressionModeCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+H" ) ) );
    QToolTip::add( highCompressionModeCheckBox, tr2i18n( "Slower but achieves better compression." ) );
    okButton->setText( tr2i18n( "&OK" ) );
    okButton->setAccel( QKeySequence( tr2i18n( "Alt+O" ) ) );
    cancelButton->setText( tr2i18n( "&Cancel" ) );
    cancelButton->setAccel( QKeySequence( tr2i18n( "Alt+C" ) ) );
}

#include "laencoderdialogbase.moc"
