#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './macencoderdialogbase.ui'
**
** Created: Fri Apr 6 12:07:30 2007
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.8   edited Jan 11 14:47 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "macencoderdialogbase.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qbuttongroup.h>
#include <qradiobutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "encoderdialog.h"

/*
 *  Constructs a MACEncoderDialogBase which is a child of 'parent', with the
 *  name 'name'.' 
 */
MACEncoderDialogBase::MACEncoderDialogBase( QWidget* parent,  const char* name )
    : EncoderDialog( parent, name )
{
    if ( !name )
	setName( "MACEncoderDialogBase" );
    MACEncoderDialogBaseLayout = new QGridLayout( this, 1, 1, 11, 6, "MACEncoderDialogBaseLayout"); 

    compressionLevelGroup = new QButtonGroup( this, "compressionLevelGroup" );
    compressionLevelGroup->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)7, 0, 0, compressionLevelGroup->sizePolicy().hasHeightForWidth() ) );
    compressionLevelGroup->setColumnLayout(0, Qt::Vertical );
    compressionLevelGroup->layout()->setSpacing( 6 );
    compressionLevelGroup->layout()->setMargin( 11 );
    compressionLevelGroupLayout = new QGridLayout( compressionLevelGroup->layout() );
    compressionLevelGroupLayout->setAlignment( Qt::AlignTop );

    fastRadioButton = new QRadioButton( compressionLevelGroup, "fastRadioButton" );

    compressionLevelGroupLayout->addWidget( fastRadioButton, 0, 0 );

    normalRadioButton = new QRadioButton( compressionLevelGroup, "normalRadioButton" );

    compressionLevelGroupLayout->addWidget( normalRadioButton, 1, 0 );

    highRadioButton = new QRadioButton( compressionLevelGroup, "highRadioButton" );

    compressionLevelGroupLayout->addWidget( highRadioButton, 2, 0 );

    extrahighRadioButton = new QRadioButton( compressionLevelGroup, "extrahighRadioButton" );
    extrahighRadioButton->setChecked( TRUE );

    compressionLevelGroupLayout->addWidget( extrahighRadioButton, 3, 0 );

    insaneRadioButton = new QRadioButton( compressionLevelGroup, "insaneRadioButton" );

    compressionLevelGroupLayout->addWidget( insaneRadioButton, 4, 0 );

    MACEncoderDialogBaseLayout->addWidget( compressionLevelGroup, 1, 0 );

    layout7 = new QHBoxLayout( 0, 0, 6, "layout7"); 
    spacer16 = new QSpacerItem( 32767, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout7->addItem( spacer16 );

    okButton = new QPushButton( this, "okButton" );
    layout7->addWidget( okButton );

    cancelButton = new QPushButton( this, "cancelButton" );
    layout7->addWidget( cancelButton );

    MACEncoderDialogBaseLayout->addLayout( layout7, 2, 0 );
    languageChange();
    resize( QSize(220, 200).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( cancelButton, SIGNAL( clicked() ), this, SLOT( reject() ) );
    connect( okButton, SIGNAL( clicked() ), this, SLOT( accept() ) );

    // tab order
    setTabOrder( extrahighRadioButton, okButton );
    setTabOrder( okButton, cancelButton );
}

/*
 *  Destroys the object and frees any allocated resources
 */
MACEncoderDialogBase::~MACEncoderDialogBase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void MACEncoderDialogBase::languageChange()
{
    setCaption( tr2i18n( "Monkey's Audio" ) );
    compressionLevelGroup->setTitle( tr2i18n( "Compression Level" ) );
    fastRadioButton->setText( tr2i18n( "&Fast" ) );
    fastRadioButton->setAccel( QKeySequence( tr2i18n( "Alt+F" ) ) );
    normalRadioButton->setText( tr2i18n( "&Normal" ) );
    normalRadioButton->setAccel( QKeySequence( tr2i18n( "Alt+N" ) ) );
    highRadioButton->setText( tr2i18n( "&High" ) );
    highRadioButton->setAccel( QKeySequence( tr2i18n( "Alt+H" ) ) );
    extrahighRadioButton->setText( tr2i18n( "E&xtra High" ) );
    extrahighRadioButton->setAccel( QKeySequence( tr2i18n( "Alt+X" ) ) );
    insaneRadioButton->setText( tr2i18n( "&Insane" ) );
    insaneRadioButton->setAccel( QKeySequence( tr2i18n( "Alt+I" ) ) );
    okButton->setText( tr2i18n( "&OK" ) );
    okButton->setAccel( QKeySequence( tr2i18n( "Alt+O" ) ) );
    cancelButton->setText( tr2i18n( "&Cancel" ) );
    cancelButton->setAccel( QKeySequence( tr2i18n( "Alt+C" ) ) );
}

#include "macencoderdialogbase.moc"
