#ifndef _OGGENCENCODERDIALOGBASE_UI_H_
#define _OGGENCENCODERDIALOGBASE_UI_H_

/****************************************************************************
** ui.h extension file, included from the uic-generated form implementation.
**
** If you want to add, delete, or rename functions or slots, use
** Qt Designer to update this file, preserving your code.
**
** You should not define a constructor or destructor in this file.
** Instead, write your code in functions called init() and destroy().
** These will automatically be called by the form's constructor and
** destructor.
*****************************************************************************/

#ifdef HAVE_CONFIG_H
	#include <config.h>
#endif

#include <qdecspinbox.h>

void OggEncEncoderDialogBase::changeItemMode()
{
	if ( modeComboBox->currentItem() == 0 ) // Quality
	{
		qualityCheckBox->setEnabled( true );
		nominalBitrateCheckBox->setChecked( false );
		nominalBitrateCheckBox->setEnabled( false );
		minimumBitrateCheckBox->setChecked( false );
		minimumBitrateCheckBox->setEnabled( false );
		maximumBitrateCheckBox->setChecked( false );
		maximumBitrateCheckBox->setEnabled( false );
	}
	else if ( modeComboBox->currentItem() == 1 ) // Variable bitrate
	{
		qualityCheckBox->setEnabled( false );
		qualityCheckBox->setChecked( false );
		nominalBitrateCheckBox->setEnabled( false );
		nominalBitrateCheckBox->setChecked( true );
		minimumBitrateCheckBox->setChecked( false );
		minimumBitrateCheckBox->setEnabled( false );
		maximumBitrateCheckBox->setChecked( false );
		maximumBitrateCheckBox->setEnabled( false );
	}
	else if ( modeComboBox->currentItem() == 2 ) // Managed bitrate
	{
		qualityCheckBox->setEnabled( false );
		qualityCheckBox->setChecked( false );
		nominalBitrateCheckBox->setEnabled( true );
		minimumBitrateCheckBox->setEnabled( true );
		maximumBitrateCheckBox->setEnabled( true );
	}
}

#endif
