#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './tagsettings.ui'
**
** Created: Fri Apr 6 12:09:04 2007
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.8   edited Jan 11 14:47 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "tagsettings.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qgroupbox.h>
#include <qlabel.h>
#include <qlineedit.h>
#include <qcombobox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "settingswidget.h"

/*
 *  Constructs a TagSettings which is a child of 'parent', with the
 *  name 'name'.' 
 */
TagSettings::TagSettings( QWidget* parent,  const char* name )
    : SettingsWidget( parent, name )
{
    if ( !name )
	setName( "TagSettings" );
    TagSettingsLayout = new QGridLayout( this, 1, 1, 11, 6, "TagSettingsLayout"); 
    spacer3 = new QSpacerItem( 20, 16, QSizePolicy::Minimum, QSizePolicy::Expanding );
    TagSettingsLayout->addItem( spacer3, 1, 0 );

    tagsGroupBox = new QGroupBox( this, "tagsGroupBox" );
    tagsGroupBox->setColumnLayout(0, Qt::Vertical );
    tagsGroupBox->layout()->setSpacing( 6 );
    tagsGroupBox->layout()->setMargin( 11 );
    tagsGroupBoxLayout = new QGridLayout( tagsGroupBox->layout() );
    tagsGroupBoxLayout->setAlignment( Qt::AlignTop );

    textLabel5 = new QLabel( tagsGroupBox, "textLabel5" );

    tagsGroupBoxLayout->addMultiCellWidget( textLabel5, 9, 9, 0, 2 );
    spacer3_2 = new QSpacerItem( 20, 21, QSizePolicy::Minimum, QSizePolicy::Fixed );
    tagsGroupBoxLayout->addItem( spacer3_2, 8, 1 );

    artistLineEdit = new QLineEdit( tagsGroupBox, "artistLineEdit" );

    tagsGroupBoxLayout->addWidget( artistLineEdit, 1, 1 );

    yearLineEdit = new QLineEdit( tagsGroupBox, "yearLineEdit" );

    tagsGroupBoxLayout->addWidget( yearLineEdit, 2, 1 );

    albumLineEdit = new QLineEdit( tagsGroupBox, "albumLineEdit" );

    tagsGroupBoxLayout->addWidget( albumLineEdit, 3, 1 );

    trackNumberLineEdit = new QLineEdit( tagsGroupBox, "trackNumberLineEdit" );

    tagsGroupBoxLayout->addWidget( trackNumberLineEdit, 4, 1 );

    titleLineEdit = new QLineEdit( tagsGroupBox, "titleLineEdit" );

    tagsGroupBoxLayout->addWidget( titleLineEdit, 5, 1 );

    commentLineEdit = new QLineEdit( tagsGroupBox, "commentLineEdit" );

    tagsGroupBoxLayout->addWidget( commentLineEdit, 6, 1 );

    genreLineEdit = new QLineEdit( tagsGroupBox, "genreLineEdit" );

    tagsGroupBoxLayout->addWidget( genreLineEdit, 7, 1 );
    spacer11 = new QSpacerItem( 20, 20, QSizePolicy::Minimum, QSizePolicy::Fixed );
    tagsGroupBoxLayout->addItem( spacer11, 0, 0 );

    artistLabel = new QLabel( tagsGroupBox, "artistLabel" );
    artistLabel->setMinimumSize( QSize( 60, 0 ) );
    artistLabel->setMaximumSize( QSize( 60, 32767 ) );

    tagsGroupBoxLayout->addWidget( artistLabel, 1, 0 );

    yearLabel = new QLabel( tagsGroupBox, "yearLabel" );
    yearLabel->setMinimumSize( QSize( 60, 0 ) );
    yearLabel->setMaximumSize( QSize( 60, 32767 ) );

    tagsGroupBoxLayout->addWidget( yearLabel, 2, 0 );

    AlbumLabel = new QLabel( tagsGroupBox, "AlbumLabel" );
    AlbumLabel->setMinimumSize( QSize( 60, 0 ) );
    AlbumLabel->setMaximumSize( QSize( 60, 32767 ) );

    tagsGroupBoxLayout->addWidget( AlbumLabel, 3, 0 );

    trackNumberLabel = new QLabel( tagsGroupBox, "trackNumberLabel" );
    trackNumberLabel->setMinimumSize( QSize( 60, 0 ) );
    trackNumberLabel->setMaximumSize( QSize( 60, 32767 ) );

    tagsGroupBoxLayout->addWidget( trackNumberLabel, 4, 0 );

    titleLabel = new QLabel( tagsGroupBox, "titleLabel" );
    titleLabel->setMinimumSize( QSize( 60, 0 ) );
    titleLabel->setMaximumSize( QSize( 60, 32767 ) );

    tagsGroupBoxLayout->addWidget( titleLabel, 5, 0 );

    commenteLabel = new QLabel( tagsGroupBox, "commenteLabel" );
    commenteLabel->setMinimumSize( QSize( 60, 0 ) );
    commenteLabel->setMaximumSize( QSize( 60, 32767 ) );

    tagsGroupBoxLayout->addWidget( commenteLabel, 6, 0 );

    genreLabel = new QLabel( tagsGroupBox, "genreLabel" );
    genreLabel->setMinimumSize( QSize( 60, 0 ) );
    genreLabel->setMaximumSize( QSize( 60, 32767 ) );

    tagsGroupBoxLayout->addWidget( genreLabel, 7, 0 );

    textLabel2 = new QLabel( tagsGroupBox, "textLabel2" );

    tagsGroupBoxLayout->addWidget( textLabel2, 0, 1 );

    textLabel3 = new QLabel( tagsGroupBox, "textLabel3" );

    tagsGroupBoxLayout->addWidget( textLabel3, 0, 2 );

    artistComboBox = new QComboBox( FALSE, tagsGroupBox, "artistComboBox" );
    artistComboBox->setMinimumSize( QSize( 100, 0 ) );

    tagsGroupBoxLayout->addWidget( artistComboBox, 1, 2 );

    yearComboBox = new QComboBox( FALSE, tagsGroupBox, "yearComboBox" );
    yearComboBox->setEnabled( FALSE );

    tagsGroupBoxLayout->addWidget( yearComboBox, 2, 2 );

    albumComboBox = new QComboBox( FALSE, tagsGroupBox, "albumComboBox" );

    tagsGroupBoxLayout->addWidget( albumComboBox, 3, 2 );

    trackNumberComboBox = new QComboBox( FALSE, tagsGroupBox, "trackNumberComboBox" );
    trackNumberComboBox->setEnabled( FALSE );

    tagsGroupBoxLayout->addWidget( trackNumberComboBox, 4, 2 );

    titleComboBox = new QComboBox( FALSE, tagsGroupBox, "titleComboBox" );

    tagsGroupBoxLayout->addWidget( titleComboBox, 5, 2 );

    commentComboBox = new QComboBox( FALSE, tagsGroupBox, "commentComboBox" );

    tagsGroupBoxLayout->addWidget( commentComboBox, 6, 2 );

    genreComboBox = new QComboBox( FALSE, tagsGroupBox, "genreComboBox" );

    tagsGroupBoxLayout->addWidget( genreComboBox, 7, 2 );

    TagSettingsLayout->addWidget( tagsGroupBox, 0, 0 );
    languageChange();
    resize( QSize(458, 316).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( artistLineEdit, SIGNAL( textChanged(const QString&) ), this, SLOT( emitSettingsChanged() ) );
    connect( yearLineEdit, SIGNAL( textChanged(const QString&) ), this, SLOT( emitSettingsChanged() ) );
    connect( albumLineEdit, SIGNAL( textChanged(const QString&) ), this, SLOT( emitSettingsChanged() ) );
    connect( trackNumberLineEdit, SIGNAL( textChanged(const QString&) ), this, SLOT( emitSettingsChanged() ) );
    connect( titleLineEdit, SIGNAL( textChanged(const QString&) ), this, SLOT( emitSettingsChanged() ) );
    connect( commentLineEdit, SIGNAL( textChanged(const QString&) ), this, SLOT( emitSettingsChanged() ) );
    connect( genreLineEdit, SIGNAL( textChanged(const QString&) ), this, SLOT( emitSettingsChanged() ) );
    connect( artistComboBox, SIGNAL( activated(int) ), this, SLOT( emitSettingsChanged() ) );
    connect( albumComboBox, SIGNAL( activated(int) ), this, SLOT( emitSettingsChanged() ) );
    connect( titleComboBox, SIGNAL( activated(int) ), this, SLOT( emitSettingsChanged() ) );
    connect( commentComboBox, SIGNAL( activated(int) ), this, SLOT( emitSettingsChanged() ) );
    connect( genreComboBox, SIGNAL( activated(int) ), this, SLOT( emitSettingsChanged() ) );
    connect( yearComboBox, SIGNAL( activated(int) ), this, SLOT( emitSettingsChanged() ) );
    connect( trackNumberComboBox, SIGNAL( activated(int) ), this, SLOT( emitSettingsChanged() ) );

    // tab order
    setTabOrder( artistLineEdit, artistComboBox );
    setTabOrder( artistComboBox, yearLineEdit );
    setTabOrder( yearLineEdit, yearComboBox );
    setTabOrder( yearComboBox, albumLineEdit );
    setTabOrder( albumLineEdit, albumComboBox );
    setTabOrder( albumComboBox, trackNumberLineEdit );
    setTabOrder( trackNumberLineEdit, trackNumberComboBox );
    setTabOrder( trackNumberComboBox, titleLineEdit );
    setTabOrder( titleLineEdit, titleComboBox );
    setTabOrder( titleComboBox, commentLineEdit );
    setTabOrder( commentLineEdit, commentComboBox );
    setTabOrder( commentComboBox, genreLineEdit );
    setTabOrder( genreLineEdit, genreComboBox );
}

/*
 *  Destroys the object and frees any allocated resources
 */
TagSettings::~TagSettings()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void TagSettings::languageChange()
{
    setCaption( tr2i18n( "Tag Settings" ) );
    tagsGroupBox->setTitle( tr2i18n( "Tags" ) );
    textLabel5->setText( tr2i18n( "* Default values are used only for path/filename generation." ) );
    artistLabel->setText( tr2i18n( "Artist" ) );
    yearLabel->setText( tr2i18n( "Year" ) );
    AlbumLabel->setText( tr2i18n( "Album" ) );
    trackNumberLabel->setText( tr2i18n( "Track #" ) );
    titleLabel->setText( tr2i18n( "Title" ) );
    commenteLabel->setText( tr2i18n( "Comment" ) );
    genreLabel->setText( tr2i18n( "Genre" ) );
    textLabel2->setText( tr2i18n( "<p align=\"center\"><b>Default Value *</b></p>" ) );
    textLabel3->setText( tr2i18n( "<p align=\"center\"><b>Case</b></p>" ) );
    artistComboBox->clear();
    artistComboBox->insertItem( tr2i18n( "Don't Change" ) );
    artistComboBox->insertItem( tr2i18n( "Title" ) );
    artistComboBox->insertItem( tr2i18n( "Capitalize" ) );
    artistComboBox->insertItem( tr2i18n( "Upper" ) );
    artistComboBox->insertItem( tr2i18n( "Lower" ) );
    artistComboBox->setCurrentItem( 0 );
    albumComboBox->clear();
    albumComboBox->insertItem( tr2i18n( "Don't Change" ) );
    albumComboBox->insertItem( tr2i18n( "Title" ) );
    albumComboBox->insertItem( tr2i18n( "Capitalize" ) );
    albumComboBox->insertItem( tr2i18n( "Upper" ) );
    albumComboBox->insertItem( tr2i18n( "Lower" ) );
    albumComboBox->setCurrentItem( 0 );
    titleComboBox->clear();
    titleComboBox->insertItem( tr2i18n( "Don't Change" ) );
    titleComboBox->insertItem( tr2i18n( "Title" ) );
    titleComboBox->insertItem( tr2i18n( "Capitalize" ) );
    titleComboBox->insertItem( tr2i18n( "Lower" ) );
    titleComboBox->insertItem( tr2i18n( "Upper" ) );
    commentComboBox->clear();
    commentComboBox->insertItem( tr2i18n( "Don't Change" ) );
    commentComboBox->insertItem( tr2i18n( "Title" ) );
    commentComboBox->insertItem( tr2i18n( "Capitalize" ) );
    commentComboBox->insertItem( tr2i18n( "Lower" ) );
    commentComboBox->insertItem( tr2i18n( "Upper" ) );
    genreComboBox->clear();
    genreComboBox->insertItem( tr2i18n( "Don't Change" ) );
    genreComboBox->insertItem( tr2i18n( "Title" ) );
    genreComboBox->insertItem( tr2i18n( "Capitalize" ) );
    genreComboBox->insertItem( tr2i18n( "Lower" ) );
    genreComboBox->insertItem( tr2i18n( "Upper" ) );
}

#include "tagsettings.moc"
