#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './lameencoderdialogbase.ui'
**
** Created: Fri Apr 6 12:07:13 2007
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.8   edited Jan 11 14:47 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "lameencoderdialogbase.h"

#include <qvariant.h>
#include <qdecspinbox.h>
#include <qpushbutton.h>
#include <qtabwidget.h>
#include <qwidget.h>
#include <qgroupbox.h>
#include <qcheckbox.h>
#include <qcombobox.h>
#include <qbuttongroup.h>
#include <qspinbox.h>
#include <qlabel.h>
#include <qradiobutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "encoderdialog.h"
#include "qdecspinbox.h"
#include "./lameencoderdialogbase.ui.h"

/*
 *  Constructs a LAMEEncoderDialogBase which is a child of 'parent', with the
 *  name 'name'.' 
 */
LAMEEncoderDialogBase::LAMEEncoderDialogBase( QWidget* parent,  const char* name )
    : EncoderDialog( parent, name )
{
    if ( !name )
	setName( "LAMEEncoderDialogBase" );
    LAMEEncoderDialogBaseLayout = new QGridLayout( this, 1, 1, 11, 6, "LAMEEncoderDialogBaseLayout"); 

    layout7 = new QHBoxLayout( 0, 0, 6, "layout7"); 
    spacer16 = new QSpacerItem( 32767, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout7->addItem( spacer16 );

    okButton = new QPushButton( this, "okButton" );
    layout7->addWidget( okButton );

    cancelButton = new QPushButton( this, "cancelButton" );
    layout7->addWidget( cancelButton );

    LAMEEncoderDialogBaseLayout->addLayout( layout7, 1, 0 );

    tabWidget2 = new QTabWidget( this, "tabWidget2" );

    tab = new QWidget( tabWidget2, "tab" );
    tabLayout = new QGridLayout( tab, 1, 1, 11, 6, "tabLayout"); 

    metadataGroup = new QGroupBox( tab, "metadataGroup" );
    metadataGroup->setColumnLayout(0, Qt::Vertical );
    metadataGroup->layout()->setSpacing( 6 );
    metadataGroup->layout()->setMargin( 11 );
    metadataGroupLayout = new QGridLayout( metadataGroup->layout() );
    metadataGroupLayout->setAlignment( Qt::AlignTop );

    noINFOTagCheckBox = new QCheckBox( metadataGroup, "noINFOTagCheckBox" );

    metadataGroupLayout->addMultiCellWidget( noINFOTagCheckBox, 1, 1, 0, 1 );

    replayGainComboBox = new QComboBox( FALSE, metadataGroup, "replayGainComboBox" );
    replayGainComboBox->setEnabled( FALSE );
    replayGainComboBox->setMinimumSize( QSize( 170, 0 ) );
    replayGainComboBox->setMaximumSize( QSize( 170, 32767 ) );

    metadataGroupLayout->addWidget( replayGainComboBox, 0, 1 );

    copyFlagCheckBox = new QCheckBox( metadataGroup, "copyFlagCheckBox" );

    metadataGroupLayout->addMultiCellWidget( copyFlagCheckBox, 2, 2, 0, 1 );

    copyrightFlagCheckBox = new QCheckBox( metadataGroup, "copyrightFlagCheckBox" );

    metadataGroupLayout->addMultiCellWidget( copyrightFlagCheckBox, 3, 3, 0, 1 );

    replayGainCheckBox = new QCheckBox( metadataGroup, "replayGainCheckBox" );

    metadataGroupLayout->addWidget( replayGainCheckBox, 0, 0 );

    tabLayout->addWidget( metadataGroup, 1, 0 );

    bitrateGroup = new QButtonGroup( tab, "bitrateGroup" );
    bitrateGroup->setColumnLayout(0, Qt::Vertical );
    bitrateGroup->layout()->setSpacing( 6 );
    bitrateGroup->layout()->setMargin( 11 );
    bitrateGroupLayout = new QGridLayout( bitrateGroup->layout() );
    bitrateGroupLayout->setAlignment( Qt::AlignTop );
    spacer6_2 = new QSpacerItem( 14, 20, QSizePolicy::Fixed, QSizePolicy::Minimum );
    bitrateGroupLayout->addItem( spacer6_2, 2, 1 );

    freeFormatSpinBox = new QSpinBox( bitrateGroup, "freeFormatSpinBox" );
    freeFormatSpinBox->setEnabled( FALSE );
    freeFormatSpinBox->setMinimumSize( QSize( 170, 0 ) );
    freeFormatSpinBox->setMaximumSize( QSize( 170, 32767 ) );
    freeFormatSpinBox->setMaxValue( 640 );
    freeFormatSpinBox->setMinValue( 8 );
    freeFormatSpinBox->setValue( 192 );

    bitrateGroupLayout->addWidget( freeFormatSpinBox, 5, 5 );

    maxBitrateComboBox = new QComboBox( FALSE, bitrateGroup, "maxBitrateComboBox" );
    maxBitrateComboBox->setEnabled( FALSE );
    maxBitrateComboBox->setMinimumSize( QSize( 170, 0 ) );
    maxBitrateComboBox->setMaximumSize( QSize( 170, 32767 ) );

    bitrateGroupLayout->addWidget( maxBitrateComboBox, 3, 5 );

    minBitrateComboBox = new QComboBox( FALSE, bitrateGroup, "minBitrateComboBox" );
    minBitrateComboBox->setEnabled( FALSE );
    minBitrateComboBox->setMinimumSize( QSize( 170, 0 ) );
    minBitrateComboBox->setMaximumSize( QSize( 170, 32767 ) );

    bitrateGroupLayout->addWidget( minBitrateComboBox, 1, 5 );

    avgBitrateSpinBox = new QSpinBox( bitrateGroup, "avgBitrateSpinBox" );
    avgBitrateSpinBox->setEnabled( FALSE );
    avgBitrateSpinBox->setMinimumSize( QSize( 170, 0 ) );
    avgBitrateSpinBox->setMaximumSize( QSize( 170, 32767 ) );
    avgBitrateSpinBox->setMaxValue( 310 );
    avgBitrateSpinBox->setMinValue( 4 );
    avgBitrateSpinBox->setValue( 192 );

    bitrateGroupLayout->addWidget( avgBitrateSpinBox, 2, 5 );

    freeFormatLabel = new QLabel( bitrateGroup, "freeFormatLabel" );
    freeFormatLabel->setEnabled( FALSE );

    bitrateGroupLayout->addMultiCellWidget( freeFormatLabel, 5, 5, 3, 4 );

    bitrateModeComboBox = new QComboBox( FALSE, bitrateGroup, "bitrateModeComboBox" );
    bitrateModeComboBox->setMinimumSize( QSize( 170, 0 ) );
    bitrateModeComboBox->setMaximumSize( QSize( 170, 32767 ) );

    bitrateGroupLayout->addWidget( bitrateModeComboBox, 0, 5 );

    bitrateRadioButton = new QRadioButton( bitrateGroup, "bitrateRadioButton" );
    bitrateRadioButton->setChecked( TRUE );

    bitrateGroupLayout->addMultiCellWidget( bitrateRadioButton, 0, 0, 0, 2 );

    freeFormatRadioButton = new QRadioButton( bitrateGroup, "freeFormatRadioButton" );

    bitrateGroupLayout->addMultiCellWidget( freeFormatRadioButton, 5, 5, 0, 2 );

    maxBitrateCheckBox = new QCheckBox( bitrateGroup, "maxBitrateCheckBox" );
    maxBitrateCheckBox->setEnabled( FALSE );

    bitrateGroupLayout->addMultiCellWidget( maxBitrateCheckBox, 3, 3, 1, 3 );
    spacer6_2_2 = new QSpacerItem( 16, 20, QSizePolicy::Fixed, QSizePolicy::Minimum );
    bitrateGroupLayout->addItem( spacer6_2_2, 1, 0 );
    spacer6_2_4 = new QSpacerItem( 16, 20, QSizePolicy::Fixed, QSizePolicy::Minimum );
    bitrateGroupLayout->addItem( spacer6_2_4, 3, 0 );
    spacer6_2_5 = new QSpacerItem( 16, 20, QSizePolicy::Fixed, QSizePolicy::Minimum );
    bitrateGroupLayout->addItem( spacer6_2_5, 4, 0 );
    spacer6_2_3 = new QSpacerItem( 16, 20, QSizePolicy::Fixed, QSizePolicy::Minimum );
    bitrateGroupLayout->addItem( spacer6_2_3, 2, 0 );

    enforceMinBitrateCheckBox = new QCheckBox( bitrateGroup, "enforceMinBitrateCheckBox" );
    enforceMinBitrateCheckBox->setEnabled( FALSE );

    bitrateGroupLayout->addMultiCellWidget( enforceMinBitrateCheckBox, 4, 4, 1, 5 );

    minBitrateCheckBox = new QCheckBox( bitrateGroup, "minBitrateCheckBox" );

    bitrateGroupLayout->addMultiCellWidget( minBitrateCheckBox, 1, 1, 1, 3 );

    minBitrateLabel = new QLabel( bitrateGroup, "minBitrateLabel" );
    minBitrateLabel->setEnabled( FALSE );

    bitrateGroupLayout->addWidget( minBitrateLabel, 1, 4 );

    avgBitrateLabel2 = new QLabel( bitrateGroup, "avgBitrateLabel2" );
    avgBitrateLabel2->setEnabled( FALSE );

    bitrateGroupLayout->addWidget( avgBitrateLabel2, 2, 4 );

    maxBitrateLabel = new QLabel( bitrateGroup, "maxBitrateLabel" );
    maxBitrateLabel->setEnabled( FALSE );

    bitrateGroupLayout->addWidget( maxBitrateLabel, 3, 4 );

    avgBitrateLabel1 = new QLabel( bitrateGroup, "avgBitrateLabel1" );
    avgBitrateLabel1->setEnabled( FALSE );

    bitrateGroupLayout->addMultiCellWidget( avgBitrateLabel1, 2, 2, 2, 3 );

    tabLayout->addWidget( bitrateGroup, 0, 0 );
    tabWidget2->insertTab( tab, QString::fromLatin1("") );

    tab_2 = new QWidget( tabWidget2, "tab_2" );
    tabLayout_2 = new QGridLayout( tab_2, 1, 1, 11, 6, "tabLayout_2"); 

    miscGroup = new QGroupBox( tab_2, "miscGroup" );
    miscGroup->setColumnLayout(0, Qt::Vertical );
    miscGroup->layout()->setSpacing( 6 );
    miscGroup->layout()->setMargin( 11 );
    miscGroupLayout = new QGridLayout( miscGroup->layout() );
    miscGroupLayout->setAlignment( Qt::AlignTop );

    isoComplyCheckBox = new QCheckBox( miscGroup, "isoComplyCheckBox" );

    miscGroupLayout->addWidget( isoComplyCheckBox, 0, 0 );

    noBitReservoirCheckBox = new QCheckBox( miscGroup, "noBitReservoirCheckBox" );

    miscGroupLayout->addWidget( noBitReservoirCheckBox, 3, 0 );

    differentBlockTypesCheckBox = new QCheckBox( miscGroup, "differentBlockTypesCheckBox" );
    differentBlockTypesCheckBox->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)0, 0, 0, differentBlockTypesCheckBox->sizePolicy().hasHeightForWidth() ) );

    miscGroupLayout->addWidget( differentBlockTypesCheckBox, 2, 0 );

    crcCheckBox = new QCheckBox( miscGroup, "crcCheckBox" );

    miscGroupLayout->addWidget( crcCheckBox, 1, 0 );

    tabLayout_2->addWidget( miscGroup, 1, 0 );

    qualityGroup = new QButtonGroup( tab_2, "qualityGroup" );
    qualityGroup->setColumnLayout(0, Qt::Vertical );
    qualityGroup->layout()->setSpacing( 6 );
    qualityGroup->layout()->setMargin( 11 );
    qualityGroupLayout = new QGridLayout( qualityGroup->layout() );
    qualityGroupLayout->setAlignment( Qt::AlignTop );

    stereoModeComboBox = new QComboBox( FALSE, qualityGroup, "stereoModeComboBox" );
    stereoModeComboBox->setEnabled( FALSE );
    stereoModeComboBox->setMinimumSize( QSize( 170, 0 ) );
    stereoModeComboBox->setMaximumSize( QSize( 170, 32767 ) );

    qualityGroupLayout->addWidget( stereoModeComboBox, 3, 1 );

    vbrQualityCheckBox = new QCheckBox( qualityGroup, "vbrQualityCheckBox" );

    qualityGroupLayout->addWidget( vbrQualityCheckBox, 2, 0 );

    optimizationComboBox = new QComboBox( FALSE, qualityGroup, "optimizationComboBox" );
    optimizationComboBox->setEnabled( FALSE );
    optimizationComboBox->setMinimumSize( QSize( 170, 0 ) );
    optimizationComboBox->setMaximumSize( QSize( 170, 32767 ) );

    qualityGroupLayout->addWidget( optimizationComboBox, 1, 1 );

    algorithmsQualityComboBox = new QComboBox( FALSE, qualityGroup, "algorithmsQualityComboBox" );
    algorithmsQualityComboBox->setEnabled( FALSE );
    algorithmsQualityComboBox->setMinimumSize( QSize( 170, 0 ) );
    algorithmsQualityComboBox->setMaximumSize( QSize( 170, 32767 ) );

    qualityGroupLayout->addWidget( algorithmsQualityComboBox, 0, 1 );

    vbrQualityComboBox = new QComboBox( FALSE, qualityGroup, "vbrQualityComboBox" );
    vbrQualityComboBox->setEnabled( FALSE );
    vbrQualityComboBox->setMinimumSize( QSize( 170, 0 ) );
    vbrQualityComboBox->setMaximumSize( QSize( 170, 32767 ) );

    qualityGroupLayout->addWidget( vbrQualityComboBox, 2, 1 );

    algorithmsQualityCheckBox = new QCheckBox( qualityGroup, "algorithmsQualityCheckBox" );

    qualityGroupLayout->addWidget( algorithmsQualityCheckBox, 0, 0 );

    stereoModeCheckBox = new QCheckBox( qualityGroup, "stereoModeCheckBox" );

    qualityGroupLayout->addWidget( stereoModeCheckBox, 3, 0 );

    optimizationCheckBox = new QCheckBox( qualityGroup, "optimizationCheckBox" );

    qualityGroupLayout->addWidget( optimizationCheckBox, 1, 0 );

    tabLayout_2->addWidget( qualityGroup, 0, 0 );
    tabWidget2->insertTab( tab_2, QString::fromLatin1("") );

    TabPage = new QWidget( tabWidget2, "TabPage" );
    TabPageLayout = new QGridLayout( TabPage, 1, 1, 11, 6, "TabPageLayout"); 

    psyGroup = new QGroupBox( TabPage, "psyGroup" );
    psyGroup->setColumnLayout(0, Qt::Vertical );
    psyGroup->layout()->setSpacing( 6 );
    psyGroup->layout()->setMargin( 11 );
    psyGroupLayout = new QGridLayout( psyGroup->layout() );
    psyGroupLayout->setAlignment( Qt::AlignTop );

    psyControlComboBox = new QComboBox( FALSE, psyGroup, "psyControlComboBox" );
    psyControlComboBox->setEnabled( FALSE );
    psyControlComboBox->setMinimumSize( QSize( 170, 0 ) );
    psyControlComboBox->setMaximumSize( QSize( 170, 32767 ) );

    psyGroupLayout->addWidget( psyControlComboBox, 0, 2 );

    psyTonalitySpinBox = new QSpinBox( psyGroup, "psyTonalitySpinBox" );
    psyTonalitySpinBox->setEnabled( FALSE );
    psyTonalitySpinBox->setMinimumSize( QSize( 170, 0 ) );
    psyTonalitySpinBox->setMaximumSize( QSize( 170, 32767 ) );
    psyTonalitySpinBox->setMaxValue( 24000 );
    psyTonalitySpinBox->setValue( 8872 );

    psyGroupLayout->addWidget( psyTonalitySpinBox, 1, 2 );

    psyTonalityLabel = new QLabel( psyGroup, "psyTonalityLabel" );
    psyTonalityLabel->setEnabled( FALSE );
    psyTonalityLabel->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)0, 0, 0, psyTonalityLabel->sizePolicy().hasHeightForWidth() ) );

    psyGroupLayout->addWidget( psyTonalityLabel, 1, 1 );

    psyControlCheckBox = new QCheckBox( psyGroup, "psyControlCheckBox" );

    psyGroupLayout->addWidget( psyControlCheckBox, 0, 0 );

    psyTonalityCheckBox = new QCheckBox( psyGroup, "psyTonalityCheckBox" );

    psyGroupLayout->addWidget( psyTonalityCheckBox, 1, 0 );

    psyNoTempMaskingCheckBox = new QCheckBox( psyGroup, "psyNoTempMaskingCheckBox" );

    psyGroupLayout->addWidget( psyNoTempMaskingCheckBox, 2, 0 );

    psyExperimentalTunningsCheckBox = new QCheckBox( psyGroup, "psyExperimentalTunningsCheckBox" );

    psyGroupLayout->addWidget( psyExperimentalTunningsCheckBox, 3, 0 );

    TabPageLayout->addWidget( psyGroup, 1, 0 );

    athGroupBox = new QGroupBox( TabPage, "athGroupBox" );
    athGroupBox->setColumnLayout(0, Qt::Vertical );
    athGroupBox->layout()->setSpacing( 6 );
    athGroupBox->layout()->setMargin( 11 );
    athGroupBoxLayout = new QGridLayout( athGroupBox->layout() );
    athGroupBoxLayout->setAlignment( Qt::AlignTop );

    athShapeComboBox = new QComboBox( FALSE, athGroupBox, "athShapeComboBox" );
    athShapeComboBox->setEnabled( FALSE );
    athShapeComboBox->setMinimumSize( QSize( 170, 0 ) );
    athShapeComboBox->setMaximumSize( QSize( 170, 32767 ) );

    athGroupBoxLayout->addWidget( athShapeComboBox, 1, 2 );

    athAATypeComboBox = new QComboBox( FALSE, athGroupBox, "athAATypeComboBox" );
    athAATypeComboBox->setEnabled( FALSE );
    athAATypeComboBox->setMinimumSize( QSize( 170, 0 ) );
    athAATypeComboBox->setMaximumSize( QSize( 170, 32767 ) );

    athGroupBoxLayout->addWidget( athAATypeComboBox, 4, 2 );

    athControlComboBox = new QComboBox( FALSE, athGroupBox, "athControlComboBox" );
    athControlComboBox->setEnabled( FALSE );
    athControlComboBox->setMinimumSize( QSize( 170, 0 ) );
    athControlComboBox->setMaximumSize( QSize( 170, 32767 ) );

    athGroupBoxLayout->addWidget( athControlComboBox, 0, 2 );

    athLowerSpinBox = new QSpinBox( athGroupBox, "athLowerSpinBox" );
    athLowerSpinBox->setEnabled( FALSE );
    athLowerSpinBox->setMinimumSize( QSize( 170, 0 ) );
    athLowerSpinBox->setMaximumSize( QSize( 170, 32767 ) );
    athLowerSpinBox->setMaxValue( 40 );

    athGroupBoxLayout->addWidget( athLowerSpinBox, 2, 2 );

    athLowerLabel = new QLabel( athGroupBox, "athLowerLabel" );
    athLowerLabel->setEnabled( FALSE );
    athLowerLabel->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)0, 0, 0, athLowerLabel->sizePolicy().hasHeightForWidth() ) );

    athGroupBoxLayout->addWidget( athLowerLabel, 2, 1 );

    athControlCheckBox = new QCheckBox( athGroupBox, "athControlCheckBox" );

    athGroupBoxLayout->addWidget( athControlCheckBox, 0, 0 );

    athShapeCheckBox = new QCheckBox( athGroupBox, "athShapeCheckBox" );

    athGroupBoxLayout->addWidget( athShapeCheckBox, 1, 0 );

    athLowerCheckBox = new QCheckBox( athGroupBox, "athLowerCheckBox" );

    athGroupBoxLayout->addWidget( athLowerCheckBox, 2, 0 );

    athAutoAdjustCheckBox = new QCheckBox( athGroupBox, "athAutoAdjustCheckBox" );

    athGroupBoxLayout->addWidget( athAutoAdjustCheckBox, 3, 0 );

    athAASensitivitySpinBox = new QSpinBox( athGroupBox, "athAASensitivitySpinBox" );
    athAASensitivitySpinBox->setEnabled( FALSE );
    athAASensitivitySpinBox->setMinimumSize( QSize( 170, 0 ) );
    athAASensitivitySpinBox->setMaximumSize( QSize( 170, 32767 ) );
    athAASensitivitySpinBox->setMaxValue( 40 );

    athGroupBoxLayout->addWidget( athAASensitivitySpinBox, 5, 2 );

    athAASensitivityLabel = new QLabel( athGroupBox, "athAASensitivityLabel" );
    athAASensitivityLabel->setEnabled( FALSE );
    athAASensitivityLabel->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)0, 0, 0, athAASensitivityLabel->sizePolicy().hasHeightForWidth() ) );

    athGroupBoxLayout->addWidget( athAASensitivityLabel, 5, 1 );

    layout2 = new QHBoxLayout( 0, 0, 6, "layout2"); 
    spacer4 = new QSpacerItem( 32, 20, QSizePolicy::Fixed, QSizePolicy::Minimum );
    layout2->addItem( spacer4 );

    athAATypeLabel = new QLabel( athGroupBox, "athAATypeLabel" );
    athAATypeLabel->setEnabled( FALSE );
    athAATypeLabel->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)5, 0, 0, athAATypeLabel->sizePolicy().hasHeightForWidth() ) );
    layout2->addWidget( athAATypeLabel );

    athGroupBoxLayout->addLayout( layout2, 4, 0 );

    layout3 = new QHBoxLayout( 0, 0, 6, "layout3"); 
    spacer4_2 = new QSpacerItem( 14, 20, QSizePolicy::Fixed, QSizePolicy::Minimum );
    layout3->addItem( spacer4_2 );

    athAASensitivityCheckBox = new QCheckBox( athGroupBox, "athAASensitivityCheckBox" );
    athAASensitivityCheckBox->setEnabled( FALSE );
    layout3->addWidget( athAASensitivityCheckBox );

    athGroupBoxLayout->addLayout( layout3, 5, 0 );

    TabPageLayout->addWidget( athGroupBox, 0, 0 );
    tabWidget2->insertTab( TabPage, QString::fromLatin1("") );

    TabPage_2 = new QWidget( tabWidget2, "TabPage_2" );
    TabPageLayout_2 = new QGridLayout( TabPage_2, 1, 1, 11, 6, "TabPageLayout_2"); 

    filtersGroup = new QGroupBox( TabPage_2, "filtersGroup" );
    filtersGroup->setColumnLayout(0, Qt::Vertical );
    filtersGroup->layout()->setSpacing( 6 );
    filtersGroup->layout()->setMargin( 11 );
    filtersGroupLayout = new QGridLayout( filtersGroup->layout() );
    filtersGroupLayout->setAlignment( Qt::AlignTop );

    noFiltersCheckBox = new QCheckBox( filtersGroup, "noFiltersCheckBox" );

    filtersGroupLayout->addMultiCellWidget( noFiltersCheckBox, 0, 0, 0, 2 );

    highpassWidthCheckBox = new QCheckBox( filtersGroup, "highpassWidthCheckBox" );
    highpassWidthCheckBox->setEnabled( FALSE );

    filtersGroupLayout->addWidget( highpassWidthCheckBox, 4, 0 );

    highpassWidthLabel = new QLabel( filtersGroup, "highpassWidthLabel" );
    highpassWidthLabel->setEnabled( FALSE );

    filtersGroupLayout->addWidget( highpassWidthLabel, 4, 1 );

    lowpassWidthCheckBox = new QCheckBox( filtersGroup, "lowpassWidthCheckBox" );
    lowpassWidthCheckBox->setEnabled( FALSE );

    filtersGroupLayout->addWidget( lowpassWidthCheckBox, 2, 0 );

    lowpassWidthLabel = new QLabel( filtersGroup, "lowpassWidthLabel" );
    lowpassWidthLabel->setEnabled( FALSE );

    filtersGroupLayout->addWidget( lowpassWidthLabel, 2, 1 );

    highpassFrecCheckBox = new QCheckBox( filtersGroup, "highpassFrecCheckBox" );

    filtersGroupLayout->addWidget( highpassFrecCheckBox, 3, 0 );

    lowpassWidthDecSpinBox = new QDecSpinBox( filtersGroup, "lowpassWidthDecSpinBox" );
    lowpassWidthDecSpinBox->setEnabled( FALSE );
    lowpassWidthDecSpinBox->setMinimumSize( QSize( 170, 0 ) );
    lowpassWidthDecSpinBox->setMaxValue( 48000 );
    lowpassWidthDecSpinBox->setDecPositions( 3 );

    filtersGroupLayout->addWidget( lowpassWidthDecSpinBox, 2, 2 );

    highpassFrecDecSpinBox = new QDecSpinBox( filtersGroup, "highpassFrecDecSpinBox" );
    highpassFrecDecSpinBox->setEnabled( FALSE );
    highpassFrecDecSpinBox->setMinimumSize( QSize( 170, 0 ) );
    highpassFrecDecSpinBox->setMaxValue( 48000 );
    highpassFrecDecSpinBox->setDecPositions( 3 );

    filtersGroupLayout->addWidget( highpassFrecDecSpinBox, 3, 2 );

    lowpassFrecCheckBox = new QCheckBox( filtersGroup, "lowpassFrecCheckBox" );

    filtersGroupLayout->addWidget( lowpassFrecCheckBox, 1, 0 );

    highpassWidthDecSpinBox = new QDecSpinBox( filtersGroup, "highpassWidthDecSpinBox" );
    highpassWidthDecSpinBox->setEnabled( FALSE );
    highpassWidthDecSpinBox->setMinimumSize( QSize( 170, 0 ) );
    highpassWidthDecSpinBox->setMaxValue( 48000 );
    highpassWidthDecSpinBox->setDecPositions( 3 );

    filtersGroupLayout->addWidget( highpassWidthDecSpinBox, 4, 2 );

    lowpassFrecDecSpinBox = new QDecSpinBox( filtersGroup, "lowpassFrecDecSpinBox" );
    lowpassFrecDecSpinBox->setEnabled( FALSE );
    lowpassFrecDecSpinBox->setMinimumSize( QSize( 170, 0 ) );
    lowpassFrecDecSpinBox->setMaxValue( 48000 );
    lowpassFrecDecSpinBox->setDecPositions( 3 );

    filtersGroupLayout->addWidget( lowpassFrecDecSpinBox, 1, 2 );

    lowpassFrecLabel = new QLabel( filtersGroup, "lowpassFrecLabel" );
    lowpassFrecLabel->setEnabled( FALSE );

    filtersGroupLayout->addWidget( lowpassFrecLabel, 1, 1 );

    highpassFrecLabel = new QLabel( filtersGroup, "highpassFrecLabel" );
    highpassFrecLabel->setEnabled( FALSE );

    filtersGroupLayout->addWidget( highpassFrecLabel, 3, 1 );

    TabPageLayout_2->addWidget( filtersGroup, 1, 0 );

    generalGroup = new QGroupBox( TabPage_2, "generalGroup" );
    generalGroup->setColumnLayout(0, Qt::Vertical );
    generalGroup->layout()->setSpacing( 6 );
    generalGroup->layout()->setMargin( 11 );
    generalGroupLayout = new QGridLayout( generalGroup->layout() );
    generalGroupLayout->setAlignment( Qt::AlignTop );

    resampleCheckBox = new QCheckBox( generalGroup, "resampleCheckBox" );

    generalGroupLayout->addWidget( resampleCheckBox, 0, 0 );

    resampleComboBox = new QComboBox( FALSE, generalGroup, "resampleComboBox" );
    resampleComboBox->setEnabled( FALSE );
    resampleComboBox->setMinimumSize( QSize( 170, 0 ) );
    resampleComboBox->setMaximumSize( QSize( 170, 32767 ) );

    generalGroupLayout->addWidget( resampleComboBox, 0, 2 );

    resampleLabel = new QLabel( generalGroup, "resampleLabel" );
    resampleLabel->setEnabled( FALSE );

    generalGroupLayout->addWidget( resampleLabel, 0, 1 );

    scaleRightDecSpinBox = new QDecSpinBox( generalGroup, "scaleRightDecSpinBox" );
    scaleRightDecSpinBox->setEnabled( FALSE );
    scaleRightDecSpinBox->setMinimumSize( QSize( 170, 0 ) );
    scaleRightDecSpinBox->setMaximumSize( QSize( 170, 32767 ) );
    scaleRightDecSpinBox->setMaxValue( 2147483647 );
    scaleRightDecSpinBox->setValue( 1000000 );
    scaleRightDecSpinBox->setDecPositions( 6 );
    scaleRightDecSpinBox->setDecValue( 1 );

    generalGroupLayout->addWidget( scaleRightDecSpinBox, 5, 2 );

    scaleLeftDecSpinBox = new QDecSpinBox( generalGroup, "scaleLeftDecSpinBox" );
    scaleLeftDecSpinBox->setEnabled( FALSE );
    scaleLeftDecSpinBox->setMinimumSize( QSize( 170, 0 ) );
    scaleLeftDecSpinBox->setMaximumSize( QSize( 170, 32767 ) );
    scaleLeftDecSpinBox->setMaxValue( 2147483647 );
    scaleLeftDecSpinBox->setValue( 1000000 );
    scaleLeftDecSpinBox->setDecPositions( 6 );
    scaleLeftDecSpinBox->setDecValue( 1 );

    generalGroupLayout->addWidget( scaleLeftDecSpinBox, 4, 2 );

    scaleBothDecSpinBox = new QDecSpinBox( generalGroup, "scaleBothDecSpinBox" );
    scaleBothDecSpinBox->setEnabled( FALSE );
    scaleBothDecSpinBox->setMinimumSize( QSize( 170, 0 ) );
    scaleBothDecSpinBox->setMaximumSize( QSize( 170, 32767 ) );
    scaleBothDecSpinBox->setMaxValue( 2147483647 );
    scaleBothDecSpinBox->setDecPositions( 6 );
    scaleBothDecSpinBox->setDecValue( 0.95 );

    generalGroupLayout->addMultiCellWidget( scaleBothDecSpinBox, 2, 3, 2, 2 );

    scaleLeftLabel = new QLabel( generalGroup, "scaleLeftLabel" );
    scaleLeftLabel->setEnabled( FALSE );

    generalGroupLayout->addWidget( scaleLeftLabel, 4, 1 );

    scaleBothLabel = new QLabel( generalGroup, "scaleBothLabel" );
    scaleBothLabel->setEnabled( FALSE );

    generalGroupLayout->addMultiCellWidget( scaleBothLabel, 2, 3, 1, 1 );

    scaleRightLabel = new QLabel( generalGroup, "scaleRightLabel" );
    scaleRightLabel->setEnabled( FALSE );

    generalGroupLayout->addWidget( scaleRightLabel, 5, 1 );

    scaleBothCheckBox = new QCheckBox( generalGroup, "scaleBothCheckBox" );

    generalGroupLayout->addWidget( scaleBothCheckBox, 2, 0 );

    scaleLeftCheckBox = new QCheckBox( generalGroup, "scaleLeftCheckBox" );

    generalGroupLayout->addMultiCellWidget( scaleLeftCheckBox, 3, 4, 0, 0 );

    scaleRightCheckBox = new QCheckBox( generalGroup, "scaleRightCheckBox" );

    generalGroupLayout->addWidget( scaleRightCheckBox, 5, 0 );

    TabPageLayout_2->addWidget( generalGroup, 0, 0 );
    tabWidget2->insertTab( TabPage_2, QString::fromLatin1("") );

    LAMEEncoderDialogBaseLayout->addWidget( tabWidget2, 0, 0 );
    languageChange();
    resize( QSize(458, 427).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( optimizationCheckBox, SIGNAL( toggled(bool) ), algorithmsQualityCheckBox, SLOT( setDisabled(bool) ) );
    connect( algorithmsQualityCheckBox, SIGNAL( toggled(bool) ), algorithmsQualityComboBox, SLOT( setEnabled(bool) ) );
    connect( athAASensitivityCheckBox, SIGNAL( toggled(bool) ), athAASensitivityLabel, SLOT( setEnabled(bool) ) );
    connect( athAASensitivityCheckBox, SIGNAL( toggled(bool) ), athAASensitivitySpinBox, SLOT( setEnabled(bool) ) );
    connect( athControlCheckBox, SIGNAL( toggled(bool) ), athControlComboBox, SLOT( setEnabled(bool) ) );
    connect( athLowerCheckBox, SIGNAL( toggled(bool) ), athLowerLabel, SLOT( setEnabled(bool) ) );
    connect( athLowerCheckBox, SIGNAL( toggled(bool) ), athLowerSpinBox, SLOT( setEnabled(bool) ) );
    connect( athShapeCheckBox, SIGNAL( toggled(bool) ), athShapeComboBox, SLOT( setEnabled(bool) ) );
    connect( highpassFrecCheckBox, SIGNAL( toggled(bool) ), highpassFrecLabel, SLOT( setEnabled(bool) ) );
    connect( highpassFrecCheckBox, SIGNAL( toggled(bool) ), highpassFrecDecSpinBox, SLOT( setEnabled(bool) ) );
    connect( highpassWidthCheckBox, SIGNAL( toggled(bool) ), highpassWidthDecSpinBox, SLOT( setEnabled(bool) ) );
    connect( highpassWidthCheckBox, SIGNAL( toggled(bool) ), highpassWidthLabel, SLOT( setEnabled(bool) ) );
    connect( athAutoAdjustCheckBox, SIGNAL( toggled(bool) ), this, SLOT( toggleATHAutoAdjust(bool) ) );
    connect( athControlComboBox, SIGNAL( activated(int) ), this, SLOT( changeItemATHControl() ) );
    connect( bitrateModeComboBox, SIGNAL( activated(int) ), this, SLOT( changeItemBitrateMode() ) );
    connect( cancelButton, SIGNAL( clicked() ), this, SLOT( reject() ) );
    connect( freeFormatRadioButton, SIGNAL( toggled(bool) ), this, SLOT( toggleFreeFormat(bool) ) );
    connect( highpassFrecCheckBox, SIGNAL( toggled(bool) ), this, SLOT( setEnabledHighpassWidth(bool) ) );
    connect( lowpassFrecCheckBox, SIGNAL( toggled(bool) ), this, SLOT( setEnabledLowpassWidth(bool) ) );
    connect( noFiltersCheckBox, SIGNAL( toggled(bool) ), this, SLOT( setDisabledHighpassFrec(bool) ) );
    connect( noFiltersCheckBox, SIGNAL( toggled(bool) ), this, SLOT( setDisabledLowpassFrec(bool) ) );
    connect( okButton, SIGNAL( clicked() ), this, SLOT( accept() ) );
    connect( lowpassFrecCheckBox, SIGNAL( toggled(bool) ), lowpassFrecDecSpinBox, SLOT( setEnabled(bool) ) );
    connect( lowpassFrecCheckBox, SIGNAL( toggled(bool) ), lowpassFrecLabel, SLOT( setEnabled(bool) ) );
    connect( lowpassWidthCheckBox, SIGNAL( toggled(bool) ), lowpassWidthDecSpinBox, SLOT( setEnabled(bool) ) );
    connect( lowpassWidthCheckBox, SIGNAL( toggled(bool) ), lowpassWidthLabel, SLOT( setEnabled(bool) ) );
    connect( maxBitrateCheckBox, SIGNAL( toggled(bool) ), maxBitrateComboBox, SLOT( setEnabled(bool) ) );
    connect( maxBitrateCheckBox, SIGNAL( toggled(bool) ), maxBitrateLabel, SLOT( setEnabled(bool) ) );
    connect( minBitrateCheckBox, SIGNAL( toggled(bool) ), minBitrateComboBox, SLOT( setEnabled(bool) ) );
    connect( minBitrateCheckBox, SIGNAL( toggled(bool) ), minBitrateLabel, SLOT( setEnabled(bool) ) );
    connect( optimizationCheckBox, SIGNAL( toggled(bool) ), optimizationComboBox, SLOT( setEnabled(bool) ) );
    connect( psyControlCheckBox, SIGNAL( toggled(bool) ), psyControlComboBox, SLOT( setEnabled(bool) ) );
    connect( psyTonalityCheckBox, SIGNAL( toggled(bool) ), psyTonalityLabel, SLOT( setEnabled(bool) ) );
    connect( psyTonalityCheckBox, SIGNAL( toggled(bool) ), psyTonalitySpinBox, SLOT( setEnabled(bool) ) );
    connect( replayGainCheckBox, SIGNAL( toggled(bool) ), replayGainComboBox, SLOT( setEnabled(bool) ) );
    connect( resampleCheckBox, SIGNAL( toggled(bool) ), resampleComboBox, SLOT( setEnabled(bool) ) );
    connect( resampleCheckBox, SIGNAL( toggled(bool) ), resampleLabel, SLOT( setEnabled(bool) ) );
    connect( scaleBothCheckBox, SIGNAL( toggled(bool) ), scaleBothDecSpinBox, SLOT( setEnabled(bool) ) );
    connect( scaleBothCheckBox, SIGNAL( toggled(bool) ), scaleBothLabel, SLOT( setEnabled(bool) ) );
    connect( scaleLeftCheckBox, SIGNAL( toggled(bool) ), scaleLeftDecSpinBox, SLOT( setEnabled(bool) ) );
    connect( scaleLeftCheckBox, SIGNAL( toggled(bool) ), scaleLeftLabel, SLOT( setEnabled(bool) ) );
    connect( scaleRightCheckBox, SIGNAL( toggled(bool) ), scaleRightDecSpinBox, SLOT( setEnabled(bool) ) );
    connect( scaleRightCheckBox, SIGNAL( toggled(bool) ), scaleRightLabel, SLOT( setEnabled(bool) ) );
    connect( stereoModeCheckBox, SIGNAL( toggled(bool) ), stereoModeComboBox, SLOT( setEnabled(bool) ) );
    connect( vbrQualityCheckBox, SIGNAL( toggled(bool) ), vbrQualityComboBox, SLOT( setEnabled(bool) ) );

    // tab order
    setTabOrder( tabWidget2, bitrateModeComboBox );
    setTabOrder( bitrateModeComboBox, minBitrateCheckBox );
    setTabOrder( minBitrateCheckBox, minBitrateComboBox );
    setTabOrder( minBitrateComboBox, avgBitrateSpinBox );
    setTabOrder( avgBitrateSpinBox, maxBitrateCheckBox );
    setTabOrder( maxBitrateCheckBox, maxBitrateComboBox );
    setTabOrder( maxBitrateComboBox, enforceMinBitrateCheckBox );
    setTabOrder( enforceMinBitrateCheckBox, freeFormatSpinBox );
    setTabOrder( freeFormatSpinBox, replayGainCheckBox );
    setTabOrder( replayGainCheckBox, replayGainComboBox );
    setTabOrder( replayGainComboBox, noINFOTagCheckBox );
    setTabOrder( noINFOTagCheckBox, copyFlagCheckBox );
    setTabOrder( copyFlagCheckBox, copyrightFlagCheckBox );
    setTabOrder( copyrightFlagCheckBox, algorithmsQualityCheckBox );
    setTabOrder( algorithmsQualityCheckBox, algorithmsQualityComboBox );
    setTabOrder( algorithmsQualityComboBox, optimizationCheckBox );
    setTabOrder( optimizationCheckBox, optimizationComboBox );
    setTabOrder( optimizationComboBox, vbrQualityCheckBox );
    setTabOrder( vbrQualityCheckBox, vbrQualityComboBox );
    setTabOrder( vbrQualityComboBox, stereoModeCheckBox );
    setTabOrder( stereoModeCheckBox, stereoModeComboBox );
    setTabOrder( stereoModeComboBox, isoComplyCheckBox );
    setTabOrder( isoComplyCheckBox, crcCheckBox );
    setTabOrder( crcCheckBox, differentBlockTypesCheckBox );
    setTabOrder( differentBlockTypesCheckBox, noBitReservoirCheckBox );
    setTabOrder( noBitReservoirCheckBox, athControlCheckBox );
    setTabOrder( athControlCheckBox, athControlComboBox );
    setTabOrder( athControlComboBox, athShapeCheckBox );
    setTabOrder( athShapeCheckBox, athShapeComboBox );
    setTabOrder( athShapeComboBox, athLowerCheckBox );
    setTabOrder( athLowerCheckBox, athLowerSpinBox );
    setTabOrder( athLowerSpinBox, athAutoAdjustCheckBox );
    setTabOrder( athAutoAdjustCheckBox, athAATypeComboBox );
    setTabOrder( athAATypeComboBox, athAASensitivityCheckBox );
    setTabOrder( athAASensitivityCheckBox, athAASensitivitySpinBox );
    setTabOrder( athAASensitivitySpinBox, psyControlCheckBox );
    setTabOrder( psyControlCheckBox, psyControlComboBox );
    setTabOrder( psyControlComboBox, psyTonalityCheckBox );
    setTabOrder( psyTonalityCheckBox, psyTonalitySpinBox );
    setTabOrder( psyTonalitySpinBox, psyNoTempMaskingCheckBox );
    setTabOrder( psyNoTempMaskingCheckBox, psyExperimentalTunningsCheckBox );
    setTabOrder( psyExperimentalTunningsCheckBox, resampleCheckBox );
    setTabOrder( resampleCheckBox, resampleComboBox );
    setTabOrder( resampleComboBox, scaleBothCheckBox );
    setTabOrder( scaleBothCheckBox, noFiltersCheckBox );
    setTabOrder( noFiltersCheckBox, highpassFrecCheckBox );
    setTabOrder( highpassFrecCheckBox, highpassWidthCheckBox );
    setTabOrder( highpassWidthCheckBox, lowpassFrecCheckBox );
    setTabOrder( lowpassFrecCheckBox, lowpassWidthCheckBox );
    setTabOrder( lowpassWidthCheckBox, okButton );
    setTabOrder( okButton, cancelButton );
}

/*
 *  Destroys the object and frees any allocated resources
 */
LAMEEncoderDialogBase::~LAMEEncoderDialogBase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void LAMEEncoderDialogBase::languageChange()
{
    setCaption( tr2i18n( "LAME" ) );
    okButton->setText( tr2i18n( "&OK" ) );
    okButton->setAccel( QKeySequence( tr2i18n( "Alt+O" ) ) );
    cancelButton->setText( tr2i18n( "&Cancel" ) );
    cancelButton->setAccel( QKeySequence( tr2i18n( "Alt+C" ) ) );
    metadataGroup->setTitle( tr2i18n( "Metadata" ) );
    noINFOTagCheckBox->setText( tr2i18n( "Disable writing of INFO &Tag" ) );
    noINFOTagCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+T" ) ) );
    QWhatsThis::add( noINFOTagCheckBox, tr2i18n( "<b>Disable writing of the INFO Tag (<i>-t</i>)</b><br/>\n"
"This tag in embedded in frame 0 of the MP3 file. It includes some information about the encoding options of the file, and in VBR it lets VBR aware players correctly seek and compute playing times of VBR files." ) );
    replayGainComboBox->clear();
    replayGainComboBox->insertItem( tr2i18n( "Disable" ) );
    replayGainComboBox->insertItem( tr2i18n( "Accurate" ) );
    replayGainComboBox->insertItem( tr2i18n( "Fast" ) );
    copyFlagCheckBox->setText( tr2i18n( "Set &copy flag" ) );
    copyFlagCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+C" ) ) );
    QWhatsThis::add( copyFlagCheckBox, tr2i18n( "<b>Set copy flag (<i>-o</i>)</b><br/>\n"
"Mark the encoded file as being a copy." ) );
    copyrightFlagCheckBox->setText( tr2i18n( "Set copy&right flag" ) );
    copyrightFlagCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+R" ) ) );
    QWhatsThis::add( copyrightFlagCheckBox, tr2i18n( "<b>Set copyright flag (<i>-c</i>)</b><br/>\n"
"Mark the encoded file as being copyrighted." ) );
    replayGainCheckBox->setText( tr2i18n( "Replay &gain" ) );
    replayGainCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+G" ) ) );
    QWhatsThis::add( replayGainCheckBox, tr2i18n( "<b>ReplayGain</b><br>\n"
"The ReplayGain analysis does not affect the content of a compressed data stream itself, it is a value stored in the header of a sound file. Information on the purpose of ReplayGain and the algorithms used is available from http://www.replaygain.org/.<br/>\n"
"Only the &quot;RadioGain&quot; Replaygain value is computed, it is stored in the LAME tag. The analysis is performed with the reference volume equal to 89dB.<br/>\n"
"By default, LAME performs ReplayGain analysis on the input data (after the user-specified volume scaling). This behaviour might give slightly inaccurate results because the data on the output of a lossy compression/decompression sequence differs from the initial input data. When --replaygain-accurate is specified the mp3 stream gets decoded on the fly and the analysis is performed on the decoded data stream.<br/>\n"
"<br/>\n"
"<b>Fast (<i>--replaygain-fast</i>)</b><br/>\n"
"Compute ReplayGain fast but slightly inaccurately.<br/>\n"
"This computes &quot;Radio&quot; ReplayGain on the input data stream after user-specified volume-scaling and/or resampling.<br/>\n"
"This switch is enabled by default.<br/>\n"
"<b>Accurate (<i>--replaygain-accurate</i>)</b><br/>\n"
"Compute ReplayGain more accurately and find the peak sample.<br/>\n"
"This enables decoding on the fly, computes &quot;Radio&quot; ReplayGain on the decoded data stream, finds the peak sample of the decoded data stream and stores it in the file.<br/>\n"
"This option is not usable if the MP3 decoder was explicitly disabled in the build of LAME. (Fast ReplayGain will get used).<br/>\n"
"<b>Disable (<i>--noreplaygain</i>)</b><br/>\n"
"Disable ReplayGain analysis." ) );
    bitrateGroup->setTitle( tr2i18n( "Bitrate" ) );
    maxBitrateComboBox->clear();
    maxBitrateComboBox->insertItem( tr2i18n( "32" ) );
    maxBitrateComboBox->insertItem( tr2i18n( "40" ) );
    maxBitrateComboBox->insertItem( tr2i18n( "48" ) );
    maxBitrateComboBox->insertItem( tr2i18n( "56" ) );
    maxBitrateComboBox->insertItem( tr2i18n( "64" ) );
    maxBitrateComboBox->insertItem( tr2i18n( "80" ) );
    maxBitrateComboBox->insertItem( tr2i18n( "96" ) );
    maxBitrateComboBox->insertItem( tr2i18n( "112" ) );
    maxBitrateComboBox->insertItem( tr2i18n( "128" ) );
    maxBitrateComboBox->insertItem( tr2i18n( "160" ) );
    maxBitrateComboBox->insertItem( tr2i18n( "192" ) );
    maxBitrateComboBox->insertItem( tr2i18n( "224" ) );
    maxBitrateComboBox->insertItem( tr2i18n( "256" ) );
    maxBitrateComboBox->insertItem( tr2i18n( "320" ) );
    maxBitrateComboBox->setCurrentItem( 13 );
    minBitrateComboBox->clear();
    minBitrateComboBox->insertItem( tr2i18n( "32" ) );
    minBitrateComboBox->insertItem( tr2i18n( "40" ) );
    minBitrateComboBox->insertItem( tr2i18n( "48" ) );
    minBitrateComboBox->insertItem( tr2i18n( "56" ) );
    minBitrateComboBox->insertItem( tr2i18n( "64" ) );
    minBitrateComboBox->insertItem( tr2i18n( "80" ) );
    minBitrateComboBox->insertItem( tr2i18n( "96" ) );
    minBitrateComboBox->insertItem( tr2i18n( "112" ) );
    minBitrateComboBox->insertItem( tr2i18n( "128" ) );
    minBitrateComboBox->insertItem( tr2i18n( "160" ) );
    minBitrateComboBox->insertItem( tr2i18n( "192" ) );
    minBitrateComboBox->insertItem( tr2i18n( "224" ) );
    minBitrateComboBox->insertItem( tr2i18n( "256" ) );
    minBitrateComboBox->insertItem( tr2i18n( "320" ) );
    minBitrateComboBox->setCurrentItem( 0 );
    freeFormatLabel->setText( tr2i18n( "<p align=\"right\">kbps</p>" ) );
    bitrateModeComboBox->clear();
    bitrateModeComboBox->insertItem( tr2i18n( "Constant Bitrate" ) );
    bitrateModeComboBox->insertItem( tr2i18n( "Average Bitrate" ) );
    bitrateModeComboBox->insertItem( tr2i18n( "Variable Bitrate / Old Method" ) );
    bitrateModeComboBox->insertItem( tr2i18n( "Variable Bitrate / New Method" ) );
    bitrateRadioButton->setText( tr2i18n( "&Bitrate mode" ) );
    bitrateRadioButton->setAccel( QKeySequence( tr2i18n( "Alt+B" ) ) );
    QWhatsThis::add( bitrateRadioButton, tr2i18n( "<b>Bitrate Mode</b><br/>\n"
"<br/>\n"
"<b>Constant BitRate (<i>--cbr</i>)</b><br/>\n"
"This is the default encoding mode, and also the most basic. In this mode, the bitrate will be the same for the whole file. It means that each part of your mp3 file will be using the same number of bits. The musical passage beeing a difficult one to encode or an easy one, the encoder will use the same bitrate, so the quality of your mp3 is variable. Complex parts will be of a lower quality than the easiest ones. The main advantage is that the final files size won't change and can be accurately predicted.<br/>\n"
"<b>Average BitRate (<i>--abr n</i>)</b><br/>\n"
"In this mode, you choose the encoder will maintain an average bitrate while using higher bitrates for the parts of your music that need more bits. The result will be of higher quality than CBR encoding but the average file size will remain predictible, so this mode is highly recommended over CBR. This encoding mode is similar to what is reffered as VBR in AAC or Liquid Audio (2 other compression technologies). The allowed range of n is 8 - 310, you can use any integer value within that range.<br/>\n"
"<b>Variable BitRate</b><br/>\n"
"In this mode, you choose the desired quality on a scale from 9 (lowest quality/biggest distortion) to 0 (highest quality/lowest distortion). Then encoder tries to maintain the given quality in the whole file by choosing the optimal number of bits to spend for each part of your music. The main advantage is that you are able to specify the quality level that you want to reach, but the inconvenient is that the final file size is totally unpredictible.<br/>\n"
"<b>Variable BitRate / Old Method (<i>-v | --vbr-old</i>)</b><br/>\n"
"Invokes the oldest, most tested (and default) VBR algorithm. It produces very good quality files, though is not very fast. This has, up through v3.89, been considered the &quot;workhorse&quot; VBR algorithm.<br/>\n"
"<b>Variable BitRate / New Method (<i>--vbr-new</i>)</b><br/>\n"
"Invokes the newest VBR algorithm. During the development of version 3.90, considerable tuning was done on this algorithm, and it is now considered to be on par with the original <i>--vbr-old</i>.  It has the added advantage of being very fast (over twice as fast as <i>--vbr-old</i>)." ) );
    freeFormatRadioButton->setText( tr2i18n( "&Free format" ) );
    freeFormatRadioButton->setAccel( QKeySequence( tr2i18n( "Alt+F" ) ) );
    QWhatsThis::add( freeFormatRadioButton, tr2i18n( "<b>Free Format (<i>--freeformat</i>)</b><br/>\n"
"Produces a free format bitstream. With this option, you can use any bitrate higher than 8 kbps.<br/>\n"
"However, even if an mp3 decoder is required to support free bitrates at least up to 320 kbps, many players are unable to deal with it.<br/>\n"
"Tests have shown that the following decoders support free format:<br/>\n"
"* <i>FreeAmp</i> up to 440 kbps<br/>\n"
"* <i>in_mpg123</i> up to 560 kbps<br/>\n"
"* <i>l3dec</i> up to 310 kbps<br/>\n"
"* <i>LAME</i> up to 560 kbps<br/>\n"
"* <i>MAD</i> up to 640 kbps" ) );
    maxBitrateCheckBox->setText( tr2i18n( "M&aximum bitrate" ) );
    maxBitrateCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+A" ) ) );
    QWhatsThis::add( maxBitrateCheckBox, tr2i18n( "<b>Maximun bitrate (</b><i><b>-B bitrate</b></i><b>)</b><br/>\n"
"Specifies the maximum allowed bitrate. Note: If you own an mp3 hardware player build upon a MAS 3503 chip, you must set maximum bitrate to no more than 224 kpbs.\n"
"" ) );
    enforceMinBitrateCheckBox->setText( tr2i18n( "Strictly &enforce minimun bitrate" ) );
    enforceMinBitrateCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+E" ) ) );
    QWhatsThis::add( enforceMinBitrateCheckBox, tr2i18n( "<b>Strictly enforce minimun bitrate (</b><i><b>-F</b></i><b>)</b><br/>\n"
"This is mainly for use with hardware players that do not support low bitrate mp3. Without this option, the minimum bitrate will be ignored for passages of analog silence, i.e. when the music level is below the absolute threshold of human hearing (ATH)." ) );
    minBitrateCheckBox->setText( tr2i18n( "M&ininum bitrate" ) );
    minBitrateCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+I" ) ) );
    QWhatsThis::add( minBitrateCheckBox, tr2i18n( "<b>Minimun bitrate (</b><i><b>-b bitrate</b></i><b>)</b><br/>\n"
"Specifies the minimum bitrate to be used. However, in order to avoid wasted space, the smallest frame size available will be used during silences.\n"
"" ) );
    minBitrateLabel->setText( tr2i18n( "<p align=\"right\">kbps</p>" ) );
    avgBitrateLabel2->setText( tr2i18n( "<p align=\"right\">kbps</p>" ) );
    maxBitrateLabel->setText( tr2i18n( "<p align=\"right\">kbps</p>" ) );
    avgBitrateLabel1->setText( tr2i18n( "Average bitrate" ) );
    tabWidget2->changeTab( tab, tr2i18n( "General" ) );
    miscGroup->setTitle( tr2i18n( "Misc" ) );
    isoComplyCheckBox->setText( tr2i18n( "Comply as much as possible to &ISO-MPEG" ) );
    isoComplyCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+I" ) ) );
    QWhatsThis::add( isoComplyCheckBox, tr2i18n( "<b>Comply as much as posible to ISO-MPEG (<i>--strictly-enforce-ISO</i>)</b><br/>\n"
"With this option, LAME will enforce the 7680 bit limitation on total frame size. This results in many wasted bits for high bitrate encodings but will ensure strict ISO compatibility. This compatibility might be important for hardware players.\n"
"" ) );
    noBitReservoirCheckBox->setText( tr2i18n( "Disable &bit reservoir" ) );
    noBitReservoirCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+B" ) ) );
    QWhatsThis::add( noBitReservoirCheckBox, tr2i18n( "<b>Disable bit reservoir (<i>--nores</i>)</b><br/>\n"
"Each frame will become independent from previous ones, but the quality will be lower.\n"
"" ) );
    differentBlockTypesCheckBox->setText( tr2i18n( "Allow &block types to differ between channels" ) );
    differentBlockTypesCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+B" ) ) );
    QWhatsThis::add( differentBlockTypesCheckBox, QString::null );
    crcCheckBox->setText( tr2i18n( "Include C&RC checksums" ) );
    crcCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+R" ) ) );
    QWhatsThis::add( crcCheckBox, tr2i18n( "<b>Include CRC Checksum (<i>-p</i>)</b><br/>\n"
"It will add a cyclic redundancy check (CRC) code in each frame, allowing to detect transmission errors that could occur on the MP3 stream. However, it takes 16 bits per frame that would otherwise be used for encoding, and then will slightly reduce the sound quality.\n"
"" ) );
    qualityGroup->setTitle( tr2i18n( "Quality" ) );
    stereoModeComboBox->clear();
    stereoModeComboBox->insertItem( tr2i18n( "Mono" ) );
    stereoModeComboBox->insertItem( tr2i18n( "Joint Stereo" ) );
    stereoModeComboBox->insertItem( tr2i18n( "Forced Joint Stereo" ) );
    stereoModeComboBox->insertItem( tr2i18n( "Stereo" ) );
    stereoModeComboBox->insertItem( tr2i18n( "Dual Channel" ) );
    stereoModeComboBox->setCurrentItem( 1 );
    vbrQualityCheckBox->setText( tr2i18n( "&VBR quality" ) );
    vbrQualityCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+V" ) ) );
    QWhatsThis::add( vbrQualityCheckBox, tr2i18n( "<b>VBR Quality (</b><i><b>-V n</b></i><b>)</b><br/>\n"
"Enable VBR (Variable BitRate) and specifies the value of VBR quality (default is 4; highest quality is 0).\n"
"" ) );
    optimizationComboBox->clear();
    optimizationComboBox->insertItem( tr2i18n( "Quality" ) );
    optimizationComboBox->insertItem( tr2i18n( "Speed" ) );
    algorithmsQualityComboBox->clear();
    algorithmsQualityComboBox->insertItem( tr2i18n( "0 - Highest" ) );
    algorithmsQualityComboBox->insertItem( tr2i18n( "1" ) );
    algorithmsQualityComboBox->insertItem( tr2i18n( "2 - Quality optimization" ) );
    algorithmsQualityComboBox->insertItem( tr2i18n( "3" ) );
    algorithmsQualityComboBox->insertItem( tr2i18n( "4" ) );
    algorithmsQualityComboBox->insertItem( tr2i18n( "5" ) );
    algorithmsQualityComboBox->insertItem( tr2i18n( "6" ) );
    algorithmsQualityComboBox->insertItem( tr2i18n( "7 - Speed Optimization" ) );
    algorithmsQualityComboBox->insertItem( tr2i18n( "8" ) );
    algorithmsQualityComboBox->insertItem( tr2i18n( "9 - Lowest" ) );
    algorithmsQualityComboBox->setCurrentItem( 0 );
    vbrQualityComboBox->clear();
    vbrQualityComboBox->insertItem( tr2i18n( "0 - Highest" ) );
    vbrQualityComboBox->insertItem( tr2i18n( "1" ) );
    vbrQualityComboBox->insertItem( tr2i18n( "2" ) );
    vbrQualityComboBox->insertItem( tr2i18n( "3" ) );
    vbrQualityComboBox->insertItem( tr2i18n( "4" ) );
    vbrQualityComboBox->insertItem( tr2i18n( "5" ) );
    vbrQualityComboBox->insertItem( tr2i18n( "6" ) );
    vbrQualityComboBox->insertItem( tr2i18n( "7" ) );
    vbrQualityComboBox->insertItem( tr2i18n( "8" ) );
    vbrQualityComboBox->insertItem( tr2i18n( "9 - Lowest" ) );
    algorithmsQualityCheckBox->setText( tr2i18n( "Algorithms &quality" ) );
    algorithmsQualityCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+Q" ) ) );
    QWhatsThis::add( algorithmsQualityCheckBox, tr2i18n( "<b>Algorithms Quality (<i>-q qual</i>)</b><br/>\n"
"Bitrate is of course the main influence on quality. The higher the bitrate, the higher the quality. But for a given bitrate, we have a choice of algorithms to determine the best scalefactors and huffman encoding (noise shaping).<br/>\n"
"0 is the highest quality and 9 the lowest.<br/>\n"
"<br/>\n"
"<i><b>-q 0</b></i>: Highest quality. Use slowest &amp; best possible version of all algorithms (-<i><b>q 0</b></i> and <i><b>-q 1</b></i> are slow and may not produce significantly higher quality).<br/>\n"
"<i><b>-q 2</b></i>: recommended. Same as <i><b>-h</b></i> (quality optimization).<br/>\n"
"<i><b>-q 5</b></i>: default value. Good speed, reasonable quality.<br/>\n"
"<i><b>-q 7</b></i>: same as <i><b>-f</b></i> (speed optimization). Very fast, ok quality. Psycho acoustics are used for pre-echo &amp; M/S, but no noise shaping is done.<br/>\n"
"<i><b>-q 9</b></i>: disables almost all algorithms including psy-model. Poor quality.\n"
"" ) );
    stereoModeCheckBox->setText( tr2i18n( "&Stereo mode" ) );
    stereoModeCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+S" ) ) );
    QWhatsThis::add( stereoModeCheckBox, tr2i18n( "<b>Stereo Mode (<i>-m mode</i>)</b><br>\n"
"Joint-stereo is the default mode for stereo files with VBR when <i><b>-V</b></i> (variable bitrate quality) is more than 4 or fixed bitrates of 160kbs or less. At higher fixed bitrates or higher VBR settings, the default is stereo.<br>\n"
"<b>Stereo (<i>-m s</i>)</b><br>\n"
"In this mode, the encoder makes no use of potentially existing correlations between the two input channels. It can, however, negotiate the bit demand between both channel, i.e. give one channel more bits if the other contains silence or needs less bits because of a lower complexity.</b><br>\n"
"<b>Joint Stereo (<i>-m j</i>)</b><br>\n"
"In this mode, the encoder will make use of a correlation between both channels. The signal will be matrixed into a sum (&quot;mid&quot;), computed by L+R, and difference (&quot;side&quot;) signal, computed by L-R, and more bits are allocated to the mid channel. This will effectively increase the bandwidth if the signal does not have too much stereo separation, thus giving a significant gain in encoding quality.<br>\n"
"Using mid/side stereo inappropriately can result in audible compression artifacts. To much switching between mid/side and regular stereo can also sound bad. To determine when to switch to mid/side stereo, LAME uses a much more sophisticated algorithm than that described in the ISO documentation, and thus is safe to use in joint stereo mode.</b><br>\n"
"<b>Forced Joint Stereo (<i>-m f</i>)</b><br>\n"
"This mode will force MS joint stereo on all frames. It is slightly faster than joint stereo, but it should be used only if you are sure that every frame of the input file has very little stereo separation.<br>\n"
"<b>Dual Channels (<i>-m d</i>)</b><br>\n"
"In this mode, the 2 channels will be totally indenpendently encoded. Each channel will have exactly half of the bitrate. This mode is designed for applications like dual languages encoding (for example: English in one channel and French in the other). Using this encoding mode for regular stereo files will result in a lower quality encoding.<br>\n"
"<b>Mono (<i>-m mo</i>)</b><br>\n"
"The input will be encoded as a mono signal. If it was a stereo signal, it will be downsampled to mono. The downmix is calculated as the sum of the left and right channel, attenuated by 6 dB." ) );
    optimizationCheckBox->setText( tr2i18n( "O&ptimization" ) );
    optimizationCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+P" ) ) );
    QWhatsThis::add( optimizationCheckBox, tr2i18n( "<b>Quality Optimization (<i>-h</i>)</b><br/>\n"
"Use some quality improvements. Encoding will be slower, but the result will be of higher quality. The behaviour is the same as the <i><b>-q 2</b></i> switch.<br/>\n"
"This switch is always enabled when using VBR.<br/>\n"
"<b>Speed </b><b>Optimization </b><b>(<i>-f</i>)</b><br/>\n"
"This switch forces the encoder to use a faster encoding mode, but with a lower quality. The behaviour is the same as the <i><b>-q 7</b></i> switch.<br/>\n"
"Noise shaping will be disabled, but psycho acoustics will still be computed for bit allocation and pre-echo detection." ) );
    tabWidget2->changeTab( tab_2, tr2i18n( "Advanced" ) );
    psyGroup->setTitle( tr2i18n( "Psychoacoustic Model" ) );
    psyControlComboBox->clear();
    psyControlComboBox->insertItem( tr2i18n( "Don't use short blocks" ) );
    psyControlComboBox->insertItem( tr2i18n( "Allow use of short blocks" ) );
    psyControlComboBox->insertItem( tr2i18n( "Use only short blocks" ) );
    psyTonalityLabel->setText( tr2i18n( "<p align=\"right\">Hz</p>" ) );
    psyControlCheckBox->setText( tr2i18n( "&PSY Control" ) );
    psyControlCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+P" ) ) );
    QWhatsThis::add( psyControlCheckBox, tr2i18n( "<b>Psychoacoustic Model Control</b><br/>\n"
"<br/>\n"
"<b>Allow use of short blocks (<i>--short</i>)</b><br/>\n"
"Let LAME use short blocks when appropriate. It is the default setting.<br/>\n"
"<b>Don't use short blocks (<i>--noshort</i>)</b><br/>\n"
"Encode all frames using long blocks only. This could increase quality when encoding at very low bitrates, but can produce serious pre-echo artefacts.<br/>\n"
"<b>Use only short blocks (<i>--allshort</i>)</b><br/>\n"
"Use only short blocks, no long ones." ) );
    psyTonalityCheckBox->setText( tr2i18n( "&Tonality computation" ) );
    psyTonalityCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+T" ) ) );
    QWhatsThis::add( psyTonalityCheckBox, tr2i18n( "<b>Tonality computation (<i>--cwlimit freq</i>)</b><br/>\n"
"Compute tonality up to freq (in kHz). Default setting is 8.8717.\n"
"" ) );
    psyNoTempMaskingCheckBox->setText( tr2i18n( "Don't use temporal &masking effect" ) );
    psyNoTempMaskingCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+M" ) ) );
    psyExperimentalTunningsCheckBox->setText( tr2i18n( "&Experimental PSY tunings" ) );
    psyExperimentalTunningsCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+E" ) ) );
    QWhatsThis::add( psyExperimentalTunningsCheckBox, tr2i18n( "<b>Experimental PSY tunings (<i>--nspsytune</i>)</b><br/>\n"
"Use experimental PSY tunings by Naoki Shibata.\n"
"" ) );
    athGroupBox->setTitle( tr2i18n( "Absolute Threshold of Hearing (ATH)" ) );
    athShapeComboBox->clear();
    athShapeComboBox->insertItem( tr2i18n( "0" ) );
    athShapeComboBox->insertItem( tr2i18n( "1" ) );
    athShapeComboBox->insertItem( tr2i18n( "2" ) );
    athShapeComboBox->setCurrentItem( 2 );
    athAATypeComboBox->clear();
    athAATypeComboBox->insertItem( tr2i18n( "1" ) );
    athAATypeComboBox->insertItem( tr2i18n( "2" ) );
    athAATypeComboBox->insertItem( tr2i18n( "3" ) );
    athControlComboBox->clear();
    athControlComboBox->insertItem( tr2i18n( "Don't use ATH" ) );
    athControlComboBox->insertItem( tr2i18n( "Use only ATH" ) );
    athControlComboBox->insertItem( tr2i18n( "Use only ATH for short blocks" ) );
    athControlComboBox->setCurrentItem( 2 );
    athLowerLabel->setText( tr2i18n( "<p align=\"right\">dB</p>" ) );
    athControlCheckBox->setText( tr2i18n( "AT&H Control" ) );
    athControlCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+H" ) ) );
    QWhatsThis::add( athControlCheckBox, tr2i18n( "<b>ATH control</b><br/>\n"
"The Absolute Threshold of Hearing is the minimum threshold under which humans are unable to hear any sound.<br/>\n"
"<br/>\n"
"<b>Don't use ATH (</b><i><b>--noath</b></i><b>)</b><br/>\n"
"Disable any use of the ATH (absolute threshold of hearing) for masking. Normally, humans are unable to hear any sound below this threshold.<br/>\n"
"<b>Use only ATH for short blocks (</b><i><b>--athshort</b></i><b>)</b><br/>\n"
"Ignore psychoacoustic model for short blocks, use ATH only.<br/>\n"
"<b>Use only ATH (</b><i><b>--athonly</b></i><b>)</b><br/>\n"
"This option causes LAME to ignore the output of the psy-model and only use masking from the ATH (absolute threshold of hearing). Might be useful at very high bitrates or for testing the ATH.\n"
"" ) );
    athShapeCheckBox->setText( tr2i18n( "&Shape" ) );
    athShapeCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+S" ) ) );
    QWhatsThis::add( athShapeCheckBox, tr2i18n( "<b>ATH Shape (<i>--athtype shape</i>)</b><br/>\n"
"In the past, LAME was using ATH <b>shape 0</b> which is the Painter &amp; Spanias formula. Tests have shown that this formula is innacurate for the 13 - 22 kHz area, leading to audible artifacts in some cases.<br/>\n"
"<b>Shape 1</b> was thus implemented, which is over sensitive, leading to very high bitrates.<br/>\n"
"<b>Shape 2</b> formula was accurately modelized from real data in order to reach optimal quality while not wasting bitrate<br/>\n"
"In CBR and ABR modes, LAME uses ATH shape 2 by default, VBR selects one depending on the specified parameter to the <i><b>-V</b></i> option.\n"
"" ) );
    athLowerCheckBox->setText( tr2i18n( "&Lower the ATH" ) );
    athLowerCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+L" ) ) );
    QWhatsThis::add( athLowerCheckBox, tr2i18n( "<b>Lower the ATH (<i>--athlower n</i>)</b><br/>\n"
"Lower the ATH (absolute threshold of hearing) by n dB.<br/>\n"
"Normally, humans are unable to hear any sound below this threshold, but for music recorded at very low level this option might be usefull.\n"
"" ) );
    athAutoAdjustCheckBox->setText( tr2i18n( "&Automatic ATH adjust" ) );
    athAutoAdjustCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+A" ) ) );
    athAASensitivityLabel->setText( tr2i18n( "<p align=\"right\">dB</p>" ) );
    athAATypeLabel->setText( tr2i18n( "Type" ) );
    QWhatsThis::add( athAATypeLabel, tr2i18n( "<b>Automatic ATH adjust type (<i>--athaa-type n</i>)</b><br/>\n"
"ATH auto adjust types 1-3, else no adjustment.\n"
"" ) );
    athAASensitivityCheckBox->setText( tr2i18n( "Sensiti&vity" ) );
    athAASensitivityCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+V" ) ) );
    QWhatsThis::add( athAASensitivityCheckBox, tr2i18n( "<b>Automatic ATH adjust sensitivity (<i>--athaa-sensitivity x</i>)</b><br/>\n"
"Activation offset in -/+ dB for ATH auto-adjustment.\n"
"" ) );
    tabWidget2->changeTab( TabPage, tr2i18n( "Expert" ) );
    filtersGroup->setTitle( tr2i18n( "Filters" ) );
    noFiltersCheckBox->setText( tr2i18n( "&Disable all filtering" ) );
    noFiltersCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+D" ) ) );
    QWhatsThis::add( noFiltersCheckBox, tr2i18n( "<b>Disable all filtering (<i>-k</i>)</b><br/>\n"
"Tells the encoder to use full bandwidth and to disable all filters. By default, the encoder uses some highpass filtering at low bitrates, in order to keep a good quality by giving more bits to more important frequencies. Increasing the bandwidth from the default setting might produce ringing artefacts at low bitrates. Use with care!\n"
"" ) );
    highpassWidthCheckBox->setText( tr2i18n( "H&ighpass filter width" ) );
    highpassWidthCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+I" ) ) );
    QWhatsThis::add( highpassWidthCheckBox, tr2i18n( "<b>Highpass filter width (<i>--highpass-width freq</i>)</b><br/>\n"
"Set the width of the highpass filter in kHz. The default value is 15% of the highpass frequency.\n"
"" ) );
    highpassWidthLabel->setText( tr2i18n( "<p align=\"right\">kHz</p>" ) );
    lowpassWidthCheckBox->setText( tr2i18n( "L&owpass filter width" ) );
    lowpassWidthCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+O" ) ) );
    QWhatsThis::add( lowpassWidthCheckBox, tr2i18n( "<b>Lowpass filter width (<i>--lowpass-width freq</i>)</b><br/>\n"
"Set the width of the lowpass filter. The default value is 15% of the lowpass frequency.\n"
"" ) );
    lowpassWidthLabel->setText( tr2i18n( "<p align=\"right\">kHz</p>" ) );
    highpassFrecCheckBox->setText( tr2i18n( "&Highpass filtering frecuency" ) );
    highpassFrecCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+H" ) ) );
    QWhatsThis::add( highpassFrecCheckBox, tr2i18n( "<b>Highpass filtering frecuency (<i>--highpass freq</i>)</b><br/>\n"
"Set an highpass filtering frequency in kHz. Frequencies below the specified one will be cutoff.\n"
"" ) );
    lowpassFrecCheckBox->setText( tr2i18n( "&Lowpass filtering frecuency" ) );
    lowpassFrecCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+L" ) ) );
    QWhatsThis::add( lowpassFrecCheckBox, tr2i18n( "<b>Lowpass filtering frecuency (<i>--lowpass freq</i>)</b><br/>\n"
"Set a lowpass filtering frequency in kHz. Frequencies above the specified one will be cutoff.\n"
"" ) );
    lowpassFrecLabel->setText( tr2i18n( "<p align=\"right\">kHz</p>" ) );
    highpassFrecLabel->setText( tr2i18n( "<p align=\"right\">kHz</p>" ) );
    generalGroup->setTitle( tr2i18n( "General" ) );
    resampleCheckBox->setText( tr2i18n( "&Resample" ) );
    resampleCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+R" ) ) );
    QWhatsThis::add( resampleCheckBox, tr2i18n( "<b>Resample (<i>--resample sfreq</i>)</b><br/>\n"
"Select ouptut sampling frequency. If not specified, LAME will automatically resample the input when using high compression ratios.\n"
"" ) );
    resampleComboBox->clear();
    resampleComboBox->insertItem( tr2i18n( "8" ) );
    resampleComboBox->insertItem( tr2i18n( "11.025" ) );
    resampleComboBox->insertItem( tr2i18n( "12" ) );
    resampleComboBox->insertItem( tr2i18n( "16" ) );
    resampleComboBox->insertItem( tr2i18n( "22.05" ) );
    resampleComboBox->insertItem( tr2i18n( "24" ) );
    resampleComboBox->insertItem( tr2i18n( "32" ) );
    resampleComboBox->insertItem( tr2i18n( "44.1" ) );
    resampleComboBox->insertItem( tr2i18n( "48" ) );
    resampleComboBox->setCurrentItem( 7 );
    resampleLabel->setText( tr2i18n( "<p align=\"right\">kHz</p>" ) );
    scaleLeftLabel->setText( tr2i18n( "<p align=\"right\">factor</p>" ) );
    scaleBothLabel->setText( tr2i18n( "<p align=\"right\">factor</p>" ) );
    scaleRightLabel->setText( tr2i18n( "<p align=\"right\">factor</p>" ) );
    scaleBothCheckBox->setText( tr2i18n( "Scale &both channels" ) );
    scaleBothCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+B" ) ) );
    QWhatsThis::add( scaleBothCheckBox, tr2i18n( "<b>Scale both channels (<i>--scale n</i>)</b><br/>\n"
"Scales every channel by n. This just multiplies the PCM data (after it has been converted to floating point) by n.<br/>\n"
"Use with care, since most MP3 decoders will truncate data which decodes to values greater than 32768." ) );
    scaleLeftCheckBox->setText( tr2i18n( "Scale &left channel" ) );
    scaleLeftCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+L" ) ) );
    QWhatsThis::add( scaleLeftCheckBox, tr2i18n( "<b>Scale left channel (<i>--scale-l n</i>)</b><br/>\n"
"Scales left channel by n. This just multiplies the PCM data (after it has been converted to floating point) by n.<br/>\n"
"Use with care, since most MP3 decoders will truncate data which decodes to values greater than 32768.\n"
"" ) );
    scaleRightCheckBox->setText( tr2i18n( "Scale &right channel" ) );
    scaleRightCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+R" ) ) );
    QWhatsThis::add( scaleRightCheckBox, tr2i18n( "<b>Scale right channel (<i>--scale-r n</i>)</b><br/>\n"
"Scales right channel by n. This just multiplies the PCM data (after it has been converted to floating point) by n.<br/>\n"
"Use with care, since most MP3 decoders will truncate data which decodes to values greater than 32768.\n"
"" ) );
    tabWidget2->changeTab( TabPage_2, tr2i18n( "Audio Processing" ) );
}

#include "lameencoderdialogbase.moc"
