/****************************************************************************
** Form interface generated from reading ui file './lameencoderdialogbase.ui'
**
** Created: Fri Apr 6 12:07:13 2007
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.8   edited Jan 11 14:47 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#ifndef LAMEENCODERDIALOGBASE_H
#define LAMEENCODERDIALOGBASE_H

#include <qvariant.h>
#include <qpixmap.h>
#include "encoderdialog.h"

class QVBoxLayout;
class QHBoxLayout;
class QGridLayout;
class QSpacerItem;
class QPushButton;
class QTabWidget;
class QWidget;
class QGroupBox;
class QCheckBox;
class QComboBox;
class QButtonGroup;
class QSpinBox;
class QLabel;
class QRadioButton;
class QDecSpinBox;

class LAMEEncoderDialogBase : public EncoderDialog
{
    Q_OBJECT

public:
    LAMEEncoderDialogBase( QWidget* parent = 0, const char* name = 0 );
    ~LAMEEncoderDialogBase();

    QPushButton* okButton;
    QPushButton* cancelButton;
    QTabWidget* tabWidget2;
    QWidget* tab;
    QGroupBox* metadataGroup;
    QCheckBox* noINFOTagCheckBox;
    QComboBox* replayGainComboBox;
    QCheckBox* copyFlagCheckBox;
    QCheckBox* copyrightFlagCheckBox;
    QCheckBox* replayGainCheckBox;
    QButtonGroup* bitrateGroup;
    QSpinBox* freeFormatSpinBox;
    QComboBox* maxBitrateComboBox;
    QComboBox* minBitrateComboBox;
    QSpinBox* avgBitrateSpinBox;
    QLabel* freeFormatLabel;
    QComboBox* bitrateModeComboBox;
    QRadioButton* bitrateRadioButton;
    QRadioButton* freeFormatRadioButton;
    QCheckBox* maxBitrateCheckBox;
    QCheckBox* enforceMinBitrateCheckBox;
    QCheckBox* minBitrateCheckBox;
    QLabel* minBitrateLabel;
    QLabel* avgBitrateLabel2;
    QLabel* maxBitrateLabel;
    QLabel* avgBitrateLabel1;
    QWidget* tab_2;
    QGroupBox* miscGroup;
    QCheckBox* isoComplyCheckBox;
    QCheckBox* noBitReservoirCheckBox;
    QCheckBox* differentBlockTypesCheckBox;
    QCheckBox* crcCheckBox;
    QButtonGroup* qualityGroup;
    QComboBox* stereoModeComboBox;
    QCheckBox* vbrQualityCheckBox;
    QComboBox* optimizationComboBox;
    QComboBox* algorithmsQualityComboBox;
    QComboBox* vbrQualityComboBox;
    QCheckBox* algorithmsQualityCheckBox;
    QCheckBox* stereoModeCheckBox;
    QCheckBox* optimizationCheckBox;
    QWidget* TabPage;
    QGroupBox* psyGroup;
    QComboBox* psyControlComboBox;
    QSpinBox* psyTonalitySpinBox;
    QLabel* psyTonalityLabel;
    QCheckBox* psyControlCheckBox;
    QCheckBox* psyTonalityCheckBox;
    QCheckBox* psyNoTempMaskingCheckBox;
    QCheckBox* psyExperimentalTunningsCheckBox;
    QGroupBox* athGroupBox;
    QComboBox* athShapeComboBox;
    QComboBox* athAATypeComboBox;
    QComboBox* athControlComboBox;
    QSpinBox* athLowerSpinBox;
    QLabel* athLowerLabel;
    QCheckBox* athControlCheckBox;
    QCheckBox* athShapeCheckBox;
    QCheckBox* athLowerCheckBox;
    QCheckBox* athAutoAdjustCheckBox;
    QSpinBox* athAASensitivitySpinBox;
    QLabel* athAASensitivityLabel;
    QLabel* athAATypeLabel;
    QCheckBox* athAASensitivityCheckBox;
    QWidget* TabPage_2;
    QGroupBox* filtersGroup;
    QCheckBox* noFiltersCheckBox;
    QCheckBox* highpassWidthCheckBox;
    QLabel* highpassWidthLabel;
    QCheckBox* lowpassWidthCheckBox;
    QLabel* lowpassWidthLabel;
    QCheckBox* highpassFrecCheckBox;
    QDecSpinBox* lowpassWidthDecSpinBox;
    QDecSpinBox* highpassFrecDecSpinBox;
    QCheckBox* lowpassFrecCheckBox;
    QDecSpinBox* highpassWidthDecSpinBox;
    QDecSpinBox* lowpassFrecDecSpinBox;
    QLabel* lowpassFrecLabel;
    QLabel* highpassFrecLabel;
    QGroupBox* generalGroup;
    QCheckBox* resampleCheckBox;
    QComboBox* resampleComboBox;
    QLabel* resampleLabel;
    QDecSpinBox* scaleRightDecSpinBox;
    QDecSpinBox* scaleLeftDecSpinBox;
    QDecSpinBox* scaleBothDecSpinBox;
    QLabel* scaleLeftLabel;
    QLabel* scaleBothLabel;
    QLabel* scaleRightLabel;
    QCheckBox* scaleBothCheckBox;
    QCheckBox* scaleLeftCheckBox;
    QCheckBox* scaleRightCheckBox;

public slots:
    void setDisabledHighpassFrec( bool disabled );
    void setDisabledLowpassFrec( bool disabled );
    void setEnabledHighpassWidth( bool enabled );
    void setEnabledLowpassWidth( bool enabled );
    void changeItemATHControl();
    void changeItemBitrateMode();
    void toggleFreeFormat( bool enabled );
    void toggleDownmix( bool enabled );
    void toggleATHAutoAdjust( bool enabled );

protected:
    QGridLayout* LAMEEncoderDialogBaseLayout;
    QHBoxLayout* layout7;
    QSpacerItem* spacer16;
    QGridLayout* tabLayout;
    QGridLayout* metadataGroupLayout;
    QGridLayout* bitrateGroupLayout;
    QSpacerItem* spacer6_2;
    QSpacerItem* spacer6_2_2;
    QSpacerItem* spacer6_2_4;
    QSpacerItem* spacer6_2_5;
    QSpacerItem* spacer6_2_3;
    QGridLayout* tabLayout_2;
    QGridLayout* miscGroupLayout;
    QGridLayout* qualityGroupLayout;
    QGridLayout* TabPageLayout;
    QGridLayout* psyGroupLayout;
    QGridLayout* athGroupBoxLayout;
    QHBoxLayout* layout2;
    QSpacerItem* spacer4;
    QHBoxLayout* layout3;
    QSpacerItem* spacer4_2;
    QGridLayout* TabPageLayout_2;
    QGridLayout* filtersGroupLayout;
    QGridLayout* generalGroupLayout;

protected slots:
    virtual void languageChange();

private:
    QPixmap image0;

};

#endif // LAMEENCODERDIALOGBASE_H
