#ifndef _MPPENCENCODERDIALOGBASE_UI_H_
#define _MPPENCENCODERDIALOGBASE_UI_H_

/****************************************************************************
** ui.h extension file, included from the uic-generated form implementation.
**
** If you want to add, delete, or rename functions or slots, use
** Qt Designer to update this file, preserving your code.
**
** You should not define a constructor or destructor in this file.
** Instead, write your code in functions called init() and destroy().
** These will automatically be called by the form's constructor and
** destructor.
*****************************************************************************/

#ifdef HAVE_CONFIG_H
	#include <config.h>
#endif

#include <qdecspinbox.h>

void MPPEncEncoderDialogBase::toggleFadeIn( bool checked )
{
	fadeInLabel->setEnabled( checked );
	fadeInDecSpinBox->setEnabled( checked );
	if ( checked || fadeOutCheckBox->isChecked() )
		fadeShapeCheckBox->setEnabled( true );
	else
	{
		fadeShapeCheckBox->setChecked( false );
		fadeShapeCheckBox->setEnabled( false );
	}
}


void MPPEncEncoderDialogBase::toggleFadeOut( bool checked )
{
	fadeOutLabel->setEnabled( checked );
	fadeOutDecSpinBox->setEnabled( checked );
	if ( checked || fadeInCheckBox->isChecked() )
		fadeShapeCheckBox->setEnabled( true );
	else
	{
		fadeShapeCheckBox->setChecked( false );
		fadeShapeCheckBox->setEnabled( false );
	}
}

void MPPEncEncoderDialogBase::qualityRadioButtonToggled( bool checked )
{
	if ( checked )
		profileRadioButton->setChecked( false );
}


void MPPEncEncoderDialogBase::profileRadioButtonToggled( bool checked )
{
	if ( checked )
		qualityRadioButton->setChecked( false );
}

#endif
