#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './ofrencoderdialogbase.ui'
**
** Created: Fri Apr 6 12:07:50 2007
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.8   edited Jan 11 14:47 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "ofrencoderdialogbase.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qbuttongroup.h>
#include <qcheckbox.h>
#include <qcombobox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "encoderdialog.h"
#include "./ofrencoderdialogbase.ui.h"

/*
 *  Constructs a OFREncoderDialogBase which is a child of 'parent', with the
 *  name 'name'.' 
 */
OFREncoderDialogBase::OFREncoderDialogBase( QWidget* parent,  const char* name )
    : EncoderDialog( parent, name )
{
    if ( !name )
	setName( "OFREncoderDialogBase" );
    OFREncoderDialogBaseLayout = new QGridLayout( this, 1, 1, 11, 6, "OFREncoderDialogBaseLayout"); 

    layout7 = new QHBoxLayout( 0, 0, 6, "layout7"); 
    spacer16 = new QSpacerItem( 32767, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout7->addItem( spacer16 );

    okButton = new QPushButton( this, "okButton" );
    layout7->addWidget( okButton );

    cancelButton = new QPushButton( this, "cancelButton" );
    layout7->addWidget( cancelButton );

    OFREncoderDialogBaseLayout->addLayout( layout7, 1, 0 );

    buttonGroup = new QButtonGroup( this, "buttonGroup" );
    buttonGroup->setColumnLayout(0, Qt::Vertical );
    buttonGroup->layout()->setSpacing( 6 );
    buttonGroup->layout()->setMargin( 11 );
    buttonGroupLayout = new QGridLayout( buttonGroup->layout() );
    buttonGroupLayout->setAlignment( Qt::AlignTop );

    compressionLevelCheckBox = new QCheckBox( buttonGroup, "compressionLevelCheckBox" );

    buttonGroupLayout->addWidget( compressionLevelCheckBox, 0, 0 );

    compressionLevelComboBox = new QComboBox( FALSE, buttonGroup, "compressionLevelComboBox" );
    compressionLevelComboBox->setEnabled( FALSE );

    buttonGroupLayout->addWidget( compressionLevelComboBox, 0, 1 );

    experimentalCompCheckBox = new QCheckBox( buttonGroup, "experimentalCompCheckBox" );

    buttonGroupLayout->addWidget( experimentalCompCheckBox, 6, 0 );

    storeMD5CheckBox = new QCheckBox( buttonGroup, "storeMD5CheckBox" );

    buttonGroupLayout->addWidget( storeMD5CheckBox, 4, 0 );

    recoveryInformationCheckBox = new QCheckBox( buttonGroup, "recoveryInformationCheckBox" );

    buttonGroupLayout->addWidget( recoveryInformationCheckBox, 3, 0 );

    seekingComboBox = new QComboBox( FALSE, buttonGroup, "seekingComboBox" );
    seekingComboBox->setEnabled( FALSE );

    buttonGroupLayout->addWidget( seekingComboBox, 2, 1 );

    seekingCheckBox = new QCheckBox( buttonGroup, "seekingCheckBox" );

    buttonGroupLayout->addWidget( seekingCheckBox, 2, 0 );

    optimizationCheckBox = new QCheckBox( buttonGroup, "optimizationCheckBox" );

    buttonGroupLayout->addWidget( optimizationCheckBox, 1, 0 );

    optimizationComboBox = new QComboBox( FALSE, buttonGroup, "optimizationComboBox" );
    optimizationComboBox->setEnabled( FALSE );

    buttonGroupLayout->addWidget( optimizationComboBox, 1, 1 );

    OFREncoderDialogBaseLayout->addWidget( buttonGroup, 0, 0 );
    languageChange();
    resize( QSize(395, 234).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( cancelButton, SIGNAL( clicked() ), this, SLOT( reject() ) );
    connect( okButton, SIGNAL( clicked() ), this, SLOT( accept() ) );
    connect( seekingCheckBox, SIGNAL( toggled(bool) ), seekingComboBox, SLOT( setEnabled(bool) ) );
    connect( optimizationCheckBox, SIGNAL( toggled(bool) ), optimizationComboBox, SLOT( setEnabled(bool) ) );
    connect( compressionLevelCheckBox, SIGNAL( toggled(bool) ), this, SLOT( changedCompressionMode() ) );
    connect( compressionLevelComboBox, SIGNAL( activated(int) ), this, SLOT( changedCompressionMode() ) );

    // tab order
    setTabOrder( compressionLevelCheckBox, recoveryInformationCheckBox );
    setTabOrder( recoveryInformationCheckBox, storeMD5CheckBox );
    setTabOrder( storeMD5CheckBox, seekingCheckBox );
    setTabOrder( seekingCheckBox, optimizationCheckBox );
    setTabOrder( optimizationCheckBox, experimentalCompCheckBox );
    setTabOrder( experimentalCompCheckBox, okButton );
    setTabOrder( okButton, cancelButton );
}

/*
 *  Destroys the object and frees any allocated resources
 */
OFREncoderDialogBase::~OFREncoderDialogBase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void OFREncoderDialogBase::languageChange()
{
    setCaption( tr2i18n( "OptimFROG" ) );
    okButton->setText( tr2i18n( "&OK" ) );
    okButton->setAccel( QKeySequence( tr2i18n( "Alt+O" ) ) );
    cancelButton->setText( tr2i18n( "&Cancel" ) );
    cancelButton->setAccel( QKeySequence( tr2i18n( "Alt+C" ) ) );
    buttonGroup->setTitle( tr2i18n( "Settings" ) );
    compressionLevelCheckBox->setText( tr2i18n( "&Compression level" ) );
    compressionLevelCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+C" ) ) );
    QWhatsThis::add( compressionLevelCheckBox, tr2i18n( "<qt><b>Compression Level</b><br/><br/>Specify the compression level, from lowest compression and fasted speed (Fast,<i>--fast</i>) to highest compression and lowest speed (Best,<i>--best</i>).<br/>Choosing Maximun (<i>--maximumcompression</i>) will try to obtain the maximum possible compression though at the expense of <i>very slow</i> encoding (mainly used for benchmark).</qt>" ) );
    compressionLevelComboBox->clear();
    compressionLevelComboBox->insertItem( tr2i18n( "Fast" ) );
    compressionLevelComboBox->insertItem( tr2i18n( "Normal" ) );
    compressionLevelComboBox->insertItem( tr2i18n( "High" ) );
    compressionLevelComboBox->insertItem( tr2i18n( "Extra High" ) );
    compressionLevelComboBox->insertItem( tr2i18n( "Best" ) );
    compressionLevelComboBox->insertItem( tr2i18n( "High [new]" ) );
    compressionLevelComboBox->insertItem( tr2i18n( "Extra High [new]" ) );
    compressionLevelComboBox->insertItem( tr2i18n( "Best [new]" ) );
    compressionLevelComboBox->insertItem( tr2i18n( "Maximum" ) );
    compressionLevelComboBox->setCurrentItem( 1 );
    QWhatsThis::add( compressionLevelComboBox, tr2i18n( "<qt><b>Compression Level</b><br/><br/>Specify the compression level, from lowest compression and fasted speed (Fast,<i>--fast</i>) to highest compression and lowest speed (Best,<i>--best</i>).<br/>Choosing Maximun (<i>--maximumcompression</i>) will try to obtain the maximum possible compression though at the expense of <i>very slow</i> encoding (mainly used for benchmark).</qt>" ) );
    experimentalCompCheckBox->setText( tr2i18n( "Enable advanced e&xperimental compression" ) );
    experimentalCompCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+X" ) ) );
    QWhatsThis::add( experimentalCompCheckBox, tr2i18n( "<qt><b>Experimental Compression (<i>--experimental</i>)</b><br><br>Enables advanced experimental compression, which is NOT backward compatible with any previous 4.5xx versions.<br/>Use with any mode (including Maximum Compression) for improved compression on some files (on average, 0.60% better compression for Audio CDs).</qt>" ) );
    storeMD5CheckBox->setText( tr2i18n( "Store &MD5 of original PCM data" ) );
    storeMD5CheckBox->setAccel( QKeySequence( tr2i18n( "Alt+M" ) ) );
    recoveryInformationCheckBox->setText( tr2i18n( "Add &recovery information" ) );
    recoveryInformationCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+R" ) ) );
    seekingComboBox->clear();
    seekingComboBox->insertItem( tr2i18n( "Fast" ) );
    seekingComboBox->insertItem( tr2i18n( "Normal" ) );
    seekingComboBox->insertItem( tr2i18n( "Slow" ) );
    seekingComboBox->insertItem( tr2i18n( "Minimun" ) );
    seekingComboBox->setCurrentItem( 1 );
    seekingCheckBox->setText( tr2i18n( "S&eeking" ) );
    seekingCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+E" ) ) );
    optimizationCheckBox->setText( tr2i18n( "&Optimization" ) );
    optimizationCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+O" ) ) );
    optimizationComboBox->clear();
    optimizationComboBox->insertItem( tr2i18n( "None" ) );
    optimizationComboBox->insertItem( tr2i18n( "Fast" ) );
    optimizationComboBox->insertItem( tr2i18n( "Normal" ) );
    optimizationComboBox->insertItem( tr2i18n( "High" ) );
    optimizationComboBox->insertItem( tr2i18n( "Best" ) );
    optimizationComboBox->setCurrentItem( 1 );
}

#include "ofrencoderdialogbase.moc"
