#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './oggencencoderdialogbase.ui'
**
** Created: Fri Apr 6 12:08:00 2007
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.8   edited Jan 11 14:47 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "oggencencoderdialogbase.h"

#include <qvariant.h>
#include <qdecspinbox.h>
#include <qpushbutton.h>
#include <qtabwidget.h>
#include <qwidget.h>
#include <qbuttongroup.h>
#include <qlabel.h>
#include <qcheckbox.h>
#include <qspinbox.h>
#include <qcombobox.h>
#include <qgroupbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "encoderdialog.h"
#include "qdecspinbox.h"
#include "./oggencencoderdialogbase.ui.h"

/*
 *  Constructs a OggEncEncoderDialogBase which is a child of 'parent', with the
 *  name 'name'.' 
 */
OggEncEncoderDialogBase::OggEncEncoderDialogBase( QWidget* parent,  const char* name )
    : EncoderDialog( parent, name )
{
    if ( !name )
	setName( "OggEncEncoderDialogBase" );
    OggEncEncoderDialogBaseLayout = new QGridLayout( this, 1, 1, 11, 6, "OggEncEncoderDialogBaseLayout"); 

    layout7 = new QHBoxLayout( 0, 0, 6, "layout7"); 
    spacer16 = new QSpacerItem( 32767, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout7->addItem( spacer16 );

    okButton = new QPushButton( this, "okButton" );
    layout7->addWidget( okButton );

    cancelButton = new QPushButton( this, "cancelButton" );
    layout7->addWidget( cancelButton );

    OggEncEncoderDialogBaseLayout->addLayout( layout7, 1, 0 );

    settings_tabwidget = new QTabWidget( this, "settings_tabwidget" );
    settings_tabwidget->setEnabled( TRUE );

    tab = new QWidget( settings_tabwidget, "tab" );
    tabLayout = new QGridLayout( tab, 1, 1, 11, 6, "tabLayout"); 

    bitrate_group = new QButtonGroup( tab, "bitrate_group" );
    bitrate_group->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)3, 0, 0, bitrate_group->sizePolicy().hasHeightForWidth() ) );
    bitrate_group->setColumnLayout(0, Qt::Vertical );
    bitrate_group->layout()->setSpacing( 6 );
    bitrate_group->layout()->setMargin( 11 );
    bitrate_groupLayout = new QGridLayout( bitrate_group->layout() );
    bitrate_groupLayout->setAlignment( Qt::AlignTop );

    modeLabel = new QLabel( bitrate_group, "modeLabel" );

    bitrate_groupLayout->addWidget( modeLabel, 0, 1 );

    qualityDecSpinBox = new QDecSpinBox( bitrate_group, "qualityDecSpinBox" );
    qualityDecSpinBox->setEnabled( FALSE );
    qualityDecSpinBox->setMinimumSize( QSize( 120, 0 ) );
    qualityDecSpinBox->setMaximumSize( QSize( 120, 32767 ) );
    qualityDecSpinBox->setMaxValue( 100 );
    qualityDecSpinBox->setMinValue( -10 );
    qualityDecSpinBox->setValue( 40 );
    qualityDecSpinBox->setDecPositions( 1 );

    bitrate_groupLayout->addWidget( qualityDecSpinBox, 1, 3 );

    qualityCheckBox = new QCheckBox( bitrate_group, "qualityCheckBox" );
    qualityCheckBox->setEnabled( TRUE );
    qualityCheckBox->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)0, 0, 0, qualityCheckBox->sizePolicy().hasHeightForWidth() ) );

    bitrate_groupLayout->addMultiCellWidget( qualityCheckBox, 1, 1, 0, 2 );

    nominalBitrateSpinBox = new QSpinBox( bitrate_group, "nominalBitrateSpinBox" );
    nominalBitrateSpinBox->setEnabled( FALSE );
    nominalBitrateSpinBox->setMinimumSize( QSize( 120, 0 ) );
    nominalBitrateSpinBox->setMaximumSize( QSize( 120, 32767 ) );
    nominalBitrateSpinBox->setMaxValue( 500 );
    nominalBitrateSpinBox->setMinValue( 45 );
    nominalBitrateSpinBox->setValue( 128 );

    bitrate_groupLayout->addWidget( nominalBitrateSpinBox, 2, 3 );

    nominalBitrateCheckBox = new QCheckBox( bitrate_group, "nominalBitrateCheckBox" );
    nominalBitrateCheckBox->setEnabled( FALSE );
    nominalBitrateCheckBox->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)0, 0, 0, nominalBitrateCheckBox->sizePolicy().hasHeightForWidth() ) );

    bitrate_groupLayout->addMultiCellWidget( nominalBitrateCheckBox, 2, 2, 0, 1 );

    nominalBitrateLabel = new QLabel( bitrate_group, "nominalBitrateLabel" );
    nominalBitrateLabel->setEnabled( FALSE );

    bitrate_groupLayout->addWidget( nominalBitrateLabel, 2, 2 );

    modeComboBox = new QComboBox( FALSE, bitrate_group, "modeComboBox" );
    modeComboBox->setMinimumSize( QSize( 120, 0 ) );
    modeComboBox->setMaximumSize( QSize( 120, 32767 ) );

    bitrate_groupLayout->addWidget( modeComboBox, 0, 3 );
    spacer3 = new QSpacerItem( 12, 20, QSizePolicy::Fixed, QSizePolicy::Minimum );
    bitrate_groupLayout->addItem( spacer3, 0, 0 );

    maximunBitrateLabel = new QLabel( bitrate_group, "maximunBitrateLabel" );
    maximunBitrateLabel->setEnabled( FALSE );

    bitrate_groupLayout->addWidget( maximunBitrateLabel, 4, 2 );

    maximumBitrateCheckBox = new QCheckBox( bitrate_group, "maximumBitrateCheckBox" );
    maximumBitrateCheckBox->setEnabled( FALSE );
    maximumBitrateCheckBox->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)0, 0, 0, maximumBitrateCheckBox->sizePolicy().hasHeightForWidth() ) );

    bitrate_groupLayout->addMultiCellWidget( maximumBitrateCheckBox, 4, 4, 0, 1 );

    maximumBitrateSpinBox = new QSpinBox( bitrate_group, "maximumBitrateSpinBox" );
    maximumBitrateSpinBox->setEnabled( FALSE );
    maximumBitrateSpinBox->setMinimumSize( QSize( 120, 0 ) );
    maximumBitrateSpinBox->setMaximumSize( QSize( 120, 32767 ) );
    maximumBitrateSpinBox->setMaxValue( 500 );
    maximumBitrateSpinBox->setValue( 160 );

    bitrate_groupLayout->addWidget( maximumBitrateSpinBox, 4, 3 );

    minimumBitrateSpinBox = new QSpinBox( bitrate_group, "minimumBitrateSpinBox" );
    minimumBitrateSpinBox->setEnabled( FALSE );
    minimumBitrateSpinBox->setMinimumSize( QSize( 120, 0 ) );
    minimumBitrateSpinBox->setMaximumSize( QSize( 120, 32767 ) );
    minimumBitrateSpinBox->setMaxValue( 500 );
    minimumBitrateSpinBox->setMinValue( 96 );

    bitrate_groupLayout->addWidget( minimumBitrateSpinBox, 3, 3 );

    minimunBitrateLabel = new QLabel( bitrate_group, "minimunBitrateLabel" );
    minimunBitrateLabel->setEnabled( FALSE );

    bitrate_groupLayout->addWidget( minimunBitrateLabel, 3, 2 );

    minimumBitrateCheckBox = new QCheckBox( bitrate_group, "minimumBitrateCheckBox" );
    minimumBitrateCheckBox->setEnabled( FALSE );
    minimumBitrateCheckBox->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)0, 0, 0, minimumBitrateCheckBox->sizePolicy().hasHeightForWidth() ) );

    bitrate_groupLayout->addMultiCellWidget( minimumBitrateCheckBox, 3, 3, 0, 1 );

    tabLayout->addWidget( bitrate_group, 0, 0 );
    settings_tabwidget->insertTab( tab, QString::fromLatin1("") );

    tab_2 = new QWidget( settings_tabwidget, "tab_2" );
    tabLayout_2 = new QGridLayout( tab_2, 1, 1, 11, 6, "tabLayout_2"); 

    advanced_group = new QGroupBox( tab_2, "advanced_group" );
    advanced_group->setColumnLayout(0, Qt::Vertical );
    advanced_group->layout()->setSpacing( 6 );
    advanced_group->layout()->setMargin( 11 );
    advanced_groupLayout = new QGridLayout( advanced_group->layout() );
    advanced_groupLayout->setAlignment( Qt::AlignTop );

    bitrateAvgWindowCheckBox = new QCheckBox( advanced_group, "bitrateAvgWindowCheckBox" );

    advanced_groupLayout->addWidget( bitrateAvgWindowCheckBox, 0, 0 );

    impulseNoiseTuneCheckBox = new QCheckBox( advanced_group, "impulseNoiseTuneCheckBox" );

    advanced_groupLayout->addWidget( impulseNoiseTuneCheckBox, 2, 0 );

    impulseTriggerProfileCheckBox = new QCheckBox( advanced_group, "impulseTriggerProfileCheckBox" );

    advanced_groupLayout->addWidget( impulseTriggerProfileCheckBox, 3, 0 );

    bitrateAvgWindowDecSpinBox = new QDecSpinBox( advanced_group, "bitrateAvgWindowDecSpinBox" );
    bitrateAvgWindowDecSpinBox->setEnabled( FALSE );
    bitrateAvgWindowDecSpinBox->setMinimumSize( QSize( 120, 0 ) );
    bitrateAvgWindowDecSpinBox->setMaximumSize( QSize( 120, 32767 ) );
    bitrateAvgWindowDecSpinBox->setMaxValue( 100000 );
    bitrateAvgWindowDecSpinBox->setValue( 1000 );
    bitrateAvgWindowDecSpinBox->setDecPositions( 4 );

    advanced_groupLayout->addWidget( bitrateAvgWindowDecSpinBox, 0, 2 );

    impulseNoiseTuneSpinBox = new QSpinBox( advanced_group, "impulseNoiseTuneSpinBox" );
    impulseNoiseTuneSpinBox->setEnabled( FALSE );
    impulseNoiseTuneSpinBox->setMinimumSize( QSize( 120, 0 ) );
    impulseNoiseTuneSpinBox->setMaximumSize( QSize( 120, 32767 ) );
    impulseNoiseTuneSpinBox->setMaxValue( 0 );
    impulseNoiseTuneSpinBox->setMinValue( -15 );

    advanced_groupLayout->addWidget( impulseNoiseTuneSpinBox, 2, 2 );

    impulseTriggerProfileDecSpinBox = new QDecSpinBox( advanced_group, "impulseTriggerProfileDecSpinBox" );
    impulseTriggerProfileDecSpinBox->setEnabled( FALSE );
    impulseTriggerProfileDecSpinBox->setMinimumSize( QSize( 120, 0 ) );
    impulseTriggerProfileDecSpinBox->setMaximumSize( QSize( 120, 32767 ) );
    impulseTriggerProfileDecSpinBox->setMaxValue( 400 );
    impulseTriggerProfileDecSpinBox->setDecValue( 2 );

    advanced_groupLayout->addWidget( impulseTriggerProfileDecSpinBox, 3, 2 );

    bitrateAvgWindowLabel = new QLabel( advanced_group, "bitrateAvgWindowLabel" );
    bitrateAvgWindowLabel->setEnabled( FALSE );

    advanced_groupLayout->addWidget( bitrateAvgWindowLabel, 0, 1 );

    tabLayout_2->addWidget( advanced_group, 0, 0 );
    settings_tabwidget->insertTab( tab_2, QString::fromLatin1("") );

    TabPage = new QWidget( settings_tabwidget, "TabPage" );
    TabPageLayout = new QGridLayout( TabPage, 1, 1, 11, 6, "TabPageLayout"); 

    misc_group = new QButtonGroup( TabPage, "misc_group" );
    misc_group->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)7, 0, 0, misc_group->sizePolicy().hasHeightForWidth() ) );
    misc_group->setColumnLayout(0, Qt::Vertical );
    misc_group->layout()->setSpacing( 6 );
    misc_group->layout()->setMargin( 11 );
    misc_groupLayout = new QGridLayout( misc_group->layout() );
    misc_groupLayout->setAlignment( Qt::AlignTop );

    resampleLabel = new QLabel( misc_group, "resampleLabel" );
    resampleLabel->setEnabled( FALSE );

    misc_groupLayout->addWidget( resampleLabel, 1, 1 );

    resampleCheckBox = new QCheckBox( misc_group, "resampleCheckBox" );
    resampleCheckBox->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)0, 0, 0, resampleCheckBox->sizePolicy().hasHeightForWidth() ) );

    misc_groupLayout->addWidget( resampleCheckBox, 1, 0 );

    resampleSpinBox = new QSpinBox( misc_group, "resampleSpinBox" );
    resampleSpinBox->setEnabled( FALSE );
    resampleSpinBox->setMinimumSize( QSize( 120, 0 ) );
    resampleSpinBox->setMaximumSize( QSize( 120, 32767 ) );
    resampleSpinBox->setMaxValue( 96000 );
    resampleSpinBox->setMinValue( 1000 );
    resampleSpinBox->setValue( 44100 );

    misc_groupLayout->addWidget( resampleSpinBox, 1, 2 );

    downmixCheckBox = new QCheckBox( misc_group, "downmixCheckBox" );

    misc_groupLayout->addWidget( downmixCheckBox, 2, 0 );

    TabPageLayout->addWidget( misc_group, 1, 0 );

    filters_group = new QGroupBox( TabPage, "filters_group" );
    filters_group->setColumnLayout(0, Qt::Vertical );
    filters_group->layout()->setSpacing( 6 );
    filters_group->layout()->setMargin( 11 );
    filters_groupLayout = new QGridLayout( filters_group->layout() );
    filters_groupLayout->setAlignment( Qt::AlignTop );

    lowpassFilterCheckBox = new QCheckBox( filters_group, "lowpassFilterCheckBox" );

    filters_groupLayout->addWidget( lowpassFilterCheckBox, 0, 0 );

    lowpassFilterLabel = new QLabel( filters_group, "lowpassFilterLabel" );
    lowpassFilterLabel->setEnabled( FALSE );

    filters_groupLayout->addWidget( lowpassFilterLabel, 0, 1 );

    lowpassFilterDecSpinBox = new QDecSpinBox( filters_group, "lowpassFilterDecSpinBox" );
    lowpassFilterDecSpinBox->setEnabled( FALSE );
    lowpassFilterDecSpinBox->setMinimumSize( QSize( 120, 0 ) );
    lowpassFilterDecSpinBox->setMaximumSize( QSize( 120, 32767 ) );
    lowpassFilterDecSpinBox->setMaxValue( 24000000 );
    lowpassFilterDecSpinBox->setDecPositions( 6 );
    lowpassFilterDecSpinBox->setDecValue( 22.05 );

    filters_groupLayout->addWidget( lowpassFilterDecSpinBox, 0, 2 );

    TabPageLayout->addWidget( filters_group, 0, 0 );
    settings_tabwidget->insertTab( TabPage, QString::fromLatin1("") );

    OggEncEncoderDialogBaseLayout->addWidget( settings_tabwidget, 0, 0 );
    languageChange();
    resize( QSize(368, 265).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( resampleCheckBox, SIGNAL( toggled(bool) ), resampleLabel, SLOT( setEnabled(bool) ) );
    connect( resampleCheckBox, SIGNAL( toggled(bool) ), resampleSpinBox, SLOT( setEnabled(bool) ) );
    connect( qualityCheckBox, SIGNAL( toggled(bool) ), qualityDecSpinBox, SLOT( setEnabled(bool) ) );
    connect( okButton, SIGNAL( clicked() ), this, SLOT( accept() ) );
    connect( nominalBitrateCheckBox, SIGNAL( toggled(bool) ), nominalBitrateSpinBox, SLOT( setEnabled(bool) ) );
    connect( nominalBitrateCheckBox, SIGNAL( toggled(bool) ), nominalBitrateLabel, SLOT( setEnabled(bool) ) );
    connect( minimumBitrateCheckBox, SIGNAL( toggled(bool) ), minimumBitrateSpinBox, SLOT( setEnabled(bool) ) );
    connect( minimumBitrateCheckBox, SIGNAL( toggled(bool) ), minimunBitrateLabel, SLOT( setEnabled(bool) ) );
    connect( maximumBitrateCheckBox, SIGNAL( toggled(bool) ), maximumBitrateSpinBox, SLOT( setEnabled(bool) ) );
    connect( maximumBitrateCheckBox, SIGNAL( toggled(bool) ), maximunBitrateLabel, SLOT( setEnabled(bool) ) );
    connect( cancelButton, SIGNAL( clicked() ), this, SLOT( reject() ) );
    connect( bitrateAvgWindowCheckBox, SIGNAL( toggled(bool) ), bitrateAvgWindowLabel, SLOT( setEnabled(bool) ) );
    connect( bitrateAvgWindowCheckBox, SIGNAL( toggled(bool) ), bitrateAvgWindowDecSpinBox, SLOT( setEnabled(bool) ) );
    connect( impulseTriggerProfileCheckBox, SIGNAL( toggled(bool) ), impulseTriggerProfileDecSpinBox, SLOT( setEnabled(bool) ) );
    connect( impulseNoiseTuneCheckBox, SIGNAL( toggled(bool) ), impulseNoiseTuneSpinBox, SLOT( setEnabled(bool) ) );
    connect( lowpassFilterCheckBox, SIGNAL( toggled(bool) ), lowpassFilterLabel, SLOT( setEnabled(bool) ) );
    connect( lowpassFilterCheckBox, SIGNAL( toggled(bool) ), lowpassFilterDecSpinBox, SLOT( setEnabled(bool) ) );
    connect( modeComboBox, SIGNAL( activated(int) ), this, SLOT( changeItemMode() ) );

    // tab order
    setTabOrder( resampleCheckBox, resampleSpinBox );
    setTabOrder( resampleSpinBox, downmixCheckBox );
    setTabOrder( downmixCheckBox, okButton );
    setTabOrder( okButton, cancelButton );
}

/*
 *  Destroys the object and frees any allocated resources
 */
OggEncEncoderDialogBase::~OggEncEncoderDialogBase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void OggEncEncoderDialogBase::languageChange()
{
    setCaption( tr2i18n( "Ogg Vorbis" ) );
    okButton->setText( tr2i18n( "&OK" ) );
    okButton->setAccel( QKeySequence( tr2i18n( "Alt+O" ) ) );
    cancelButton->setText( tr2i18n( "&Cancel" ) );
    cancelButton->setAccel( QKeySequence( tr2i18n( "Alt+C" ) ) );
    bitrate_group->setTitle( tr2i18n( "Bitrate" ) );
    modeLabel->setText( tr2i18n( "Mode" ) );
    QWhatsThis::add( modeLabel, tr2i18n( "<b>Quality</b><br/>\n"
"This is the default mode of operation, with a default quality level of 3. Fractional quality levels such as 2.5 are permitted. Normal quality range is 0 - 10.<br/>\n"
"<b>Variable BitRate</b><br/>\n"
"Normal VBR encoding. Faster than managed mode, generaly produces better quality files.<br/>\n"
"<b>Managed BitRate (<i>--managed</i>)</b><br/>\n"
"Set bitrate management mode. This turns off the normal VBR encoding, but allows hard or soft bitrate constraints to be enforced by the encoder. This mode is much slower, and may also be lower quality. It is primarily useful for creating files for streaming." ) );
    qualityCheckBox->setText( tr2i18n( "&Quality" ) );
    qualityCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+Q" ) ) );
    QWhatsThis::add( qualityCheckBox, tr2i18n( "<b>Quality (<i>-q n | --quality=n</i>)</b><br/>\n"
"Sets encoding quality to n, between -1 (lowest) and 10 (highest). Only for quality mode of operation." ) );
    nominalBitrateCheckBox->setText( tr2i18n( "&Nominal bitrate" ) );
    nominalBitrateCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+N" ) ) );
    QWhatsThis::add( nominalBitrateCheckBox, tr2i18n( "<b>Nominal bitrate (<i>-b n | --bitrate=n</i>)</b><br/>\n"
"Sets encoding to the bitrate closest to n (in kb/s). Only for variable and managed bitrate modes of operation." ) );
    nominalBitrateLabel->setText( tr2i18n( "<p align=\"right\">kbps</p>" ) );
    modeComboBox->clear();
    modeComboBox->insertItem( tr2i18n( "Quality" ) );
    modeComboBox->insertItem( tr2i18n( "Variable BitRate" ) );
    modeComboBox->insertItem( tr2i18n( "Managed BitRate" ) );
    maximunBitrateLabel->setText( tr2i18n( "<p align=\"right\">kbps</p>" ) );
    maximumBitrateCheckBox->setText( tr2i18n( "M&aximum bitrate" ) );
    maximumBitrateCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+A" ) ) );
    QWhatsThis::add( maximumBitrateCheckBox, tr2i18n( "<b>Maximun bitrate (<i>-M n | --max-bitrate=n</i>)</b><br/>\n"
"Sets maximum bitrate to n (in kb/s). Only for managed bitrate mode of operation." ) );
    minimunBitrateLabel->setText( tr2i18n( "<p align=\"right\">kbps</p>" ) );
    minimumBitrateCheckBox->setText( tr2i18n( "M&inimum bitrate" ) );
    minimumBitrateCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+I" ) ) );
    QWhatsThis::add( minimumBitrateCheckBox, tr2i18n( "<b>Minimun bitrate (<i>-m n | --min-bitrate=n</i>)</b><br/>\n"
"Sets minimum bitrate to n (in kb/s). Only for managed bitrate mode of operation." ) );
    settings_tabwidget->changeTab( tab, tr2i18n( "General" ) );
    advanced_group->setTitle( tr2i18n( "Advanced" ) );
    bitrateAvgWindowCheckBox->setText( tr2i18n( "Bitrate &average window" ) );
    bitrateAvgWindowCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+A" ) ) );
    QWhatsThis::add( bitrateAvgWindowCheckBox, tr2i18n( "<b>Bitrate average window (<i>--advanced-encode-option bitrate_average_window=NN</i>)</b><br/>\n"
"Set the managed bitrate window to NN seconds. The bitrate will be forced to the specified average over a floating window of this length. May be fractional (e.g. 3.5)." ) );
    impulseNoiseTuneCheckBox->setText( tr2i18n( "Impulse &noise tune" ) );
    impulseNoiseTuneCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+N" ) ) );
    QWhatsThis::add( impulseNoiseTuneCheckBox, tr2i18n( "<b>Impulse noise tune (<i>--advanced-encode-option impulse_noisetune=n</i>)</b><br/>\n"
"Regulates how many bits are used for encoding a short block. Values range from -15 to 0 (default). Lower values will throw more bits at coding impulse blocks which will raise quality (and also bitrate)." ) );
    impulseTriggerProfileCheckBox->setText( tr2i18n( "Impulse &trigger Profile" ) );
    impulseTriggerProfileCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+T" ) ) );
    QWhatsThis::add( impulseTriggerProfileCheckBox, tr2i18n( "<b>Impulse trigger Profile (<i>--advanced-encode-option impulse_trigger_profile=Y</i>)</b><br/>\n"
"Allows users to control how easily Vorbis switches to short blocks to encode transients. It won't improve pre-echo (there is already the impulse_noisetune option for that) but it will cause Vorbis to generally use short blocks more often, useful for encoding samples that have 'microattacks'. This will lead to an increase in bitrate. <br/>\n"
"Y is a certain profile number, which is a number between 0 and 6. If you choose anything outside this range, it will ignore it and use the default profile for that particular q setting.<br/>\n"
"The defaults (normal vorbis behaviour without using this switch) for each q are listed below:<br/>\n"
"q =&gt; profile: -1 =&gt; 0; 0 =&gt; 1; 1 =&gt; 1; 2 =&gt; 1.5; 3 =&gt; 2; 4 =&gt; 2; 5 =&gt; 2.5; 6 =&gt; 2.7; 7 =&gt; 3; 8 =&gt; 3.7; 9 =&gt; 4; 10 =&gt; 4<br/>\n"
"For example, if you do a normal encode at -q 4, Vorbis by default will be using profile 2. If the music has a lot of microattacks and you hear smearing, you can use the impulse_trigger_profile to set the profile to 3 to trigger short blocks more easily. If that doesn't work, you can try 4. The bitrate will increase each time you go up to 4." ) );
    bitrateAvgWindowLabel->setText( tr2i18n( "<p align=\"right\">secs</p>" ) );
    settings_tabwidget->changeTab( tab_2, tr2i18n( "Advanced" ) );
    misc_group->setTitle( tr2i18n( "Misc" ) );
    resampleLabel->setText( tr2i18n( "<p align=\"right\">Hz</p>" ) );
    resampleCheckBox->setText( tr2i18n( "&Resample" ) );
    resampleCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+R" ) ) );
    QWhatsThis::add( resampleCheckBox, tr2i18n( "<b>Resample (<i>--resample n</i>)</b><br/>\n"
"Resample input to the given sample rate (in Hz) before encoding. Primarily useful for downsampling for lower-bitrate encoding." ) );
    downmixCheckBox->setText( tr2i18n( "&Downmix" ) );
    downmixCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+D" ) ) );
    QWhatsThis::add( downmixCheckBox, tr2i18n( "<b>Downmix (<i>--downmix</i>)</b><br/>\n"
"Downmix input from stereo to mono (has no effect on non-stereo streams). Useful for lower-bitrate encoding." ) );
    filters_group->setTitle( tr2i18n( "Filters" ) );
    lowpassFilterCheckBox->setText( tr2i18n( "&Lowpass filter" ) );
    lowpassFilterCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+L" ) ) );
    QWhatsThis::add( lowpassFilterCheckBox, tr2i18n( "<b>Lowpass filter (<i>--advanced-encode-option lowpass_frequency=NN</i>)</b><br/>\n"
"Set the lowpass frequency to NN kHz." ) );
    lowpassFilterLabel->setText( tr2i18n( "<p align=\"right\">kHz</p>" ) );
    settings_tabwidget->changeTab( TabPage, tr2i18n( "Audio Processing" ) );
}

#include "oggencencoderdialogbase.moc"
