#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './speexencencoderdialogbase.ui'
**
** Created: Fri Apr 6 12:08:17 2007
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.8   edited Jan 11 14:47 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "speexencencoderdialogbase.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qbuttongroup.h>
#include <qspinbox.h>
#include <qcheckbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "encoderdialog.h"

/*
 *  Constructs a SpeexEncEncoderDialogBase which is a child of 'parent', with the
 *  name 'name'.' 
 */
SpeexEncEncoderDialogBase::SpeexEncEncoderDialogBase( QWidget* parent,  const char* name )
    : EncoderDialog( parent, name )
{
    if ( !name )
	setName( "SpeexEncEncoderDialogBase" );
    SpeexEncEncoderDialogBaseLayout = new QGridLayout( this, 1, 1, 11, 6, "SpeexEncEncoderDialogBaseLayout"); 

    layout7 = new QHBoxLayout( 0, 0, 6, "layout7"); 
    spacer16 = new QSpacerItem( 32767, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout7->addItem( spacer16 );

    okButton = new QPushButton( this, "okButton" );
    layout7->addWidget( okButton );

    cancelButton = new QPushButton( this, "cancelButton" );
    layout7->addWidget( cancelButton );

    SpeexEncEncoderDialogBaseLayout->addLayout( layout7, 1, 0 );

    buttonGroup2 = new QButtonGroup( this, "buttonGroup2" );
    buttonGroup2->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)7, 0, 0, buttonGroup2->sizePolicy().hasHeightForWidth() ) );
    buttonGroup2->setColumnLayout(0, Qt::Vertical );
    buttonGroup2->layout()->setSpacing( 6 );
    buttonGroup2->layout()->setMargin( 11 );
    buttonGroup2Layout = new QGridLayout( buttonGroup2->layout() );
    buttonGroup2Layout->setAlignment( Qt::AlignTop );

    complexitySpinBox = new QSpinBox( buttonGroup2, "complexitySpinBox" );
    complexitySpinBox->setEnabled( FALSE );
    complexitySpinBox->setMaxValue( 10 );
    complexitySpinBox->setMinValue( 0 );
    complexitySpinBox->setValue( 3 );

    buttonGroup2Layout->addWidget( complexitySpinBox, 1, 1 );

    qualitySpinBox = new QSpinBox( buttonGroup2, "qualitySpinBox" );
    qualitySpinBox->setEnabled( FALSE );
    qualitySpinBox->setMaxValue( 10 );
    qualitySpinBox->setMinValue( 0 );
    qualitySpinBox->setValue( 8 );

    buttonGroup2Layout->addWidget( qualitySpinBox, 0, 1 );

    qualityCheckBox = new QCheckBox( buttonGroup2, "qualityCheckBox" );

    buttonGroup2Layout->addWidget( qualityCheckBox, 0, 0 );

    complexityCheckBox = new QCheckBox( buttonGroup2, "complexityCheckBox" );

    buttonGroup2Layout->addWidget( complexityCheckBox, 1, 0 );

    vbrCheckBox = new QCheckBox( buttonGroup2, "vbrCheckBox" );

    buttonGroup2Layout->addMultiCellWidget( vbrCheckBox, 3, 3, 0, 1 );

    denoiseCheckBox = new QCheckBox( buttonGroup2, "denoiseCheckBox" );

    buttonGroup2Layout->addMultiCellWidget( denoiseCheckBox, 6, 6, 0, 1 );

    dtxCheckBox = new QCheckBox( buttonGroup2, "dtxCheckBox" );

    buttonGroup2Layout->addWidget( dtxCheckBox, 5, 0 );

    gainControlCheckBox = new QCheckBox( buttonGroup2, "gainControlCheckBox" );

    buttonGroup2Layout->addMultiCellWidget( gainControlCheckBox, 7, 7, 0, 1 );

    vadCheckBox = new QCheckBox( buttonGroup2, "vadCheckBox" );

    buttonGroup2Layout->addWidget( vadCheckBox, 4, 0 );

    framesPerPacketSpinBox = new QSpinBox( buttonGroup2, "framesPerPacketSpinBox" );
    framesPerPacketSpinBox->setEnabled( FALSE );
    framesPerPacketSpinBox->setMaxValue( 10 );
    framesPerPacketSpinBox->setMinValue( 1 );

    buttonGroup2Layout->addWidget( framesPerPacketSpinBox, 2, 1 );

    framesPerPacketCheckBox = new QCheckBox( buttonGroup2, "framesPerPacketCheckBox" );

    buttonGroup2Layout->addWidget( framesPerPacketCheckBox, 2, 0 );

    SpeexEncEncoderDialogBaseLayout->addWidget( buttonGroup2, 0, 0 );
    languageChange();
    resize( QSize(282, 284).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( cancelButton, SIGNAL( clicked() ), this, SLOT( reject() ) );
    connect( okButton, SIGNAL( clicked() ), this, SLOT( accept() ) );
    connect( framesPerPacketCheckBox, SIGNAL( toggled(bool) ), framesPerPacketSpinBox, SLOT( setEnabled(bool) ) );
    connect( complexityCheckBox, SIGNAL( toggled(bool) ), complexitySpinBox, SLOT( setEnabled(bool) ) );
    connect( qualityCheckBox, SIGNAL( toggled(bool) ), qualitySpinBox, SLOT( setEnabled(bool) ) );

    // tab order
    setTabOrder( vbrCheckBox, vadCheckBox );
    setTabOrder( vadCheckBox, dtxCheckBox );
    setTabOrder( dtxCheckBox, denoiseCheckBox );
    setTabOrder( denoiseCheckBox, gainControlCheckBox );
    setTabOrder( gainControlCheckBox, framesPerPacketCheckBox );
    setTabOrder( framesPerPacketCheckBox, framesPerPacketSpinBox );
    setTabOrder( framesPerPacketSpinBox, okButton );
    setTabOrder( okButton, cancelButton );
}

/*
 *  Destroys the object and frees any allocated resources
 */
SpeexEncEncoderDialogBase::~SpeexEncEncoderDialogBase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void SpeexEncEncoderDialogBase::languageChange()
{
    setCaption( tr2i18n( "Speex" ) );
    okButton->setText( tr2i18n( "&OK" ) );
    okButton->setAccel( QKeySequence( tr2i18n( "Alt+O" ) ) );
    cancelButton->setText( tr2i18n( "&Cancel" ) );
    cancelButton->setAccel( QKeySequence( tr2i18n( "Alt+C" ) ) );
    buttonGroup2->setTitle( tr2i18n( "Settings" ) );
    qualityCheckBox->setText( tr2i18n( "&Quality" ) );
    qualityCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+Q" ) ) );
    complexityCheckBox->setText( tr2i18n( "&Complexity" ) );
    complexityCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+C" ) ) );
    vbrCheckBox->setText( tr2i18n( "&Variable bitrate (VBR)" ) );
    vbrCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+V" ) ) );
    denoiseCheckBox->setText( tr2i18n( "D&enoise before encoding" ) );
    denoiseCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+E" ) ) );
    dtxCheckBox->setText( tr2i18n( "&Discontinuous transmission (DTX)" ) );
    dtxCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+D" ) ) );
    gainControlCheckBox->setText( tr2i18n( "Apply adaptive &gain control" ) );
    gainControlCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+G" ) ) );
    vadCheckBox->setText( tr2i18n( "Voice &activity detection (VAD)" ) );
    vadCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+A" ) ) );
    framesPerPacketCheckBox->setText( tr2i18n( "&Frames per packet" ) );
    framesPerPacketCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+F" ) ) );
}

#include "speexencencoderdialogbase.moc"
